2023-08-28  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version, Date): RcppArmadillo 0.12.6.2.0
        * inst/NEWS.Rd: Idem
        * configure.ac: Idem
        * configure: Idem

 	* inst/include/armadillo_bits/: Armadillo 12.6.3

2023-08-08  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version, Date): RcppArmadillo 0.12.6.2.0
        * inst/NEWS.Rd: Idem
        * configure.ac: Idem
        * configure: Idem

 	* inst/include/armadillo: Armadillo 12.6.2
 	* inst/include/armadillo_bits/: Idem

2023-07-26  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version, Date): RcppArmadillo 0.12.6.1.0
        * inst/NEWS.Rd: Idem
        * configure.ac: Idem
        * configure: Idem

 	* inst/include/armadillo: Armadillo 12.6.1
 	* inst/include/armadillo_bits/: Idem

2023-07-23  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version, Date): RcppArmadillo 0.12.6.0.1
        * inst/NEWS.Rd: Idem

 	* inst/include/armadillo_bits/: Upstream sync w/o move ctors

2023-07-21  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version, Date): RcppArmadillo 0.12.6.0.0
        * inst/NEWS.Rd: Idem
        * configure.ac: Idem
        * configure: Idem

 	* inst/include/armadillo: Armadillo 12.6.0
 	* inst/include/armadillo_bits/: Idem

2023-06-16  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version, Date): RcppArmadillo 0.12.4.1.0
        * inst/NEWS.Rd: Idem
        * configure.ac: Idem
        * configure: Idem

 	* inst/include/armadillo: Armadillo 12.4.1
 	* inst/include/armadillo_bits/: Idem

2023-06-04  Mikael Jagan  <jaganmn@mcmaster.ca>

	* inst/include/RcppArmadillo/interface/RcppArmadilloAs.h: Patch for
	forthcoming Matrix version (see #415)

2023-05-26  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version, Date): RcppArmadillo 0.12.4.0.0
        * inst/NEWS.Rd: Idem
        * configure.ac: Idem
        * configure: Idem

2023-05-25  Dirk Eddelbuettel  <edd@debian.org>

 	* inst/include/armadillo: Armadillo 12.4.0
 	* inst/include/armadillo_bits/: Idem

2023-04-11  Dirk Eddelbuettel  <edd@debian.org>

	* README.md: Use app.codecov.io as base for codecov link

2023-04-04  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version, Date): RcppArmadillo 0.12.2.0.0
        * inst/NEWS.Rd: Idem
        * configure.ac: Idem
        * configure: Idem

 	* inst/include/armadillo: Armadillo 12.2.0
 	* inst/include/armadillo_bits/: Idem

2023-02-20  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version, Date): RcppArmadillo 0.12.0.0.0
        * inst/NEWS.Rd: Idem
        * configure.ac: Idem
        * configure: Idem

	* inst/include/armadillo: Armadillo 12.0.0
 	* inst/include/armadillo_bits/: Idem

2023-02-11  Kevin Ushey  <kevinushey@gmail.com>

	* src/Makevars.in: Use PKG_CPPFLAGS for RcppArmadillo includes

2023-02-09  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version, Date): RcppArmadillo 0.11.4.4.0
        * inst/NEWS.Rd: Idem
        * configure.ac: Idem
        * configure: Idem

 	* inst/include/armadillo: Armadillo 11.4.4
 	* inst/include/armadillo_bits/: Idem

2023-02-05  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version, Date): Roll minor version and date

	* src/Makevars.in: No longer set a compilation standard
	* src/Makevars.win: Idem
	* inst/skeleton/Makevars: Idem
	* inst/skeleton/Makevars.win: Idem

	* inst/CITATION: Convert to bibentry() style with person()

2023-01-20  Dirk Eddelbuettel  <edd@debian.org>

	* README.md: Update package count

2023-01-15  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version, Date): RcppArmadillo 0.11.4.3.1
        * inst/NEWS.Rd: Idem
        * configure.ac: Idem
        * configure: Idem

	* inst/include/RcppArmadillo/interface/RcppArmadilloForward.h: Still
	use '#define ARMA_IGNORE_DEPRECATED_MARKER' unless override set to
	suppress warnings, see issues #391 (initialization) and #402 (stderr)

2022-12-28  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version): RcppArmadillo 0.11.4.3.0
        * inst/NEWS.Rd: Idem
        * configure.ac: Idem
        * configure: Idem

 	* inst/include/armadillo_bits/: Armadillo 11.4.3

2022-11-15  Dirk Eddelbuettel  <edd@debian.org>

	* inst/include/RcppArmadillo/config/RcppArmadilloConfig.h: Protect
	undefine of NDEBUG behind additional opt-in define

2022-11-08  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version): RcppArmadillo 0.11.4.2.1
        * inst/NEWS.Rd: Idem
        * configure.ac: Idem
        * configure: Idem

2022-10-22  Dirk Eddelbuettel  <edd@debian.org>

	* .github/workflows/ci.yaml (jobs): Update to actions/checkout@v3

2022-10-21  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version): RcppArmadillo 0.11.4.2.0
        * inst/NEWS.Rd: Idem
        * configure.ac: Idem
        * configure: Idem

 	* inst/include/armadillo_bits/: Armadillo 11.4.2

2022-10-20  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version): Roll minor version

	* inst/include/RcppArmadillo.h: Use new paths
	* inst/include/RcppArmadillo.h: Idem
	* inst/include/RcppArmadillo/LightL Idem
	* inst/include/RcppArmadillo/Lighter: Idem
	* inst/include/RcppArmadillo/Lightest: Idem

	* inst/include/RcppArmadillo/interface/RcppArmadilloAs.h: New
	location, and updated accordingly
	* inst/include/RcppArmadillo/interface/RcppArmadilloForward.h: Idem
	* inst/include/RcppArmadillo/interface/RcppArmadilloSugar.h: Idem
	* inst/include/RcppArmadillo/interface/RcppArmadilloWrap.h: Idem

	* inst/include/RcppArmadilloAs.h: New stub
	* inst/include/RcppArmadilloForward.h: Idem
	* inst/include/RcppArmadilloSugar.h: Idem
	* inst/include/RcppArmadilloWrap.h: Idem

2022-10-19  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version): Roll minor version

	* inst/include/RcppArmadillo/rng/Alt_R_RNG.h: New location
	* inst/include/RcppArmadillo/config/RcppArmadilloConfigGenerated.h.in: Idem
	* inst/include/RcppArmadillo/config/RcppArmadilloConfig.h: Idem

	* inst/include/RcppArmadilloForward.h: Updated accordingly
	* inst/include/RcppArmadilloConfig.h: Idem
	* configure.ac: Idem
	* configure: Idem
	* cleanupp: Idem

	* inst/tinytest/test_sparseConversion.R: Update one conversion as
	suggested by the Matrix team

2022-10-14  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version): Roll minor version

	* inst/include/RcppArmadillo/RcppArmadillo: Header accessing
	Rcpp/Rcpp, and not imposing column-as-matrix return
	* inst/include/RcppArmadillo/Light: Header accessing Rcpp/Light, idem
	* inst/include/RcppArmadillo/Lighter: Header accessing Rcpp/Lighter, idem
	* inst/include/RcppArmadillo/Lightest: Header accessing Rcpp/Lightest, idem

	* inst/include/RcppArmadillo/internal/: Regroup internal headers here
	* inst/include/RcppArmadillo_bits/: Move to new internal location
	* configure.ac: Support new location of generated config
	* configure: Idem
	* cleanup: Idem
2022-10-19  Dirk Eddelbuettel  <edd@debian.org>

	* inst/tinytest/test_sparseConversion.R: Refine one conversion as
	suggested by the 'Matrix' team

2022-10-10  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version): RcppArmadillo 0.11.4.1.0
        * inst/NEWS.Rd: Idem
        * configure.ac: Idem
        * configure: Idem

2022-10-01  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version): RcppArmadillo 0.11.4.0.1
        * inst/NEWS.Rd: Idem
        * configure.ac: Idem
        * configure: Idem

	* README.md: Update some http URLs to https
	* man/RcppArmadillo-package.Rd: Idem
	* man/fastLm.Rd: Idem

 	* inst/include/armadillo_bits/: Hot-fix by Conrad to accomodate a
	possibly over-eager warning from g++-12 affected a few CRAN packages

2022-09-22  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version): RcppArmadillo 0.11.4.0.0
        * inst/NEWS.Rd: Idem
        * configure.ac: Idem
        * configure: Idem

	* inst/include/armadillo: Armadillo 11.4.0
 	* inst/include/armadillo_bits/: Idem

2022-09-19  Dirk Eddelbuettel  <edd@debian.org>

	* inst/include/armadillo: Armadillo 11.4.rc1
	* inst/include/armadillo_bits/: Idem

2022-09-09  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version): RcppArmadillo 0.11.2.4.0
        * inst/NEWS.Rd: Idem
        * configure.ac: Idem
        * configure: Idem

	* inst/include/armadillo: Armadillo 11.2.4
	* inst/include/armadillo_bits/: Idem

2022-09-01  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version, Date): RcppArmadillo 0.11.2.3.1.1
        * inst/NEWS.Rd: Idem
        * configure.ac: Idem
        * configure: Idem

	* README.md: Edited fastLm() example for more compact display
	* src/fastLm.cpp: Idem

	* inst/include/RcppArmadilloForward.h: Permit opt-out of deprecation
	suppresion (useful to develop under full deprecation warnings)

2022-08-31  Dirk Eddelbuettel  <edd@debian.org>

	* inst/include/armadillo_bits/compiler_setup.hpp: Use version from
	merge request #119 with optional use of ARMA_IGNORE_DEPRECATED_MARKER

2022-08-18  Dirk Eddelbuettel  <edd@debian.org>

	* src/fastLm.cpp: Using dot() as proposed by Conrad in #388
	* README.md: Idem

2022-08-16  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version): RcppArmadillo 0.11.2.3.1
        * inst/NEWS.Rd: Idem
        * configure.ac: Idem
        * configure: Idem

	* inst/include/armadillo_bits/compiler_setup.hpp: Do not define
	arma_deprecated as it bites a number of CRAN packages

2022-08-15  Dirk Eddelbuettel  <edd@debian.org>

	* inst/tinytest/test_sparseConversion.R: Further refinements, tests
	are now conditional on Matrix 1.4-2
	* inst/tinytest/test_sparse.R: Idem

2022-08-12  Dirk Eddelbuettel  <edd@debian.org>

	* inst/tinytest/test_scipy2r.R: Update sparse matrix conversions to
	accomodate deprecation in Matrix 1.4-2
	* inst/tinytest/test_sparseConversion.R: Idem
	* inst/tinytest/test_sparse.R: Idem

2022-07-12  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version): RcppArmadillo 0.11.2.3.0
        * inst/NEWS.Rd: Idem
        * configure.ac: Idem
        * configure: Idem

	* inst/include/armadillo: Armadillo 11.2.3
	* inst/include/armadillo_bits/: Idem

2022-07-04  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version): RcppArmadillo 0.11.2.2.0
        * inst/NEWS.Rd: Idem
        * configure.ac: Idem
        * configure: Idem

	* inst/include/armadillo: Armadillo 11.2.2
	* inst/include/armadillo_bits/: Idem

2022-06-28  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version): RcppArmadillo 0.11.2.1.0
        * inst/NEWS.Rd: Idem
        * configure.ac: Idem
        * configure: Idem

	* inst/include/armadillo: Armadillo 11.2.1
	* inst/include/armadillo_bits/: Idem

2022-06-10  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version): RcppArmadillo 0.11.2.0.0
        * inst/NEWS.Rd: Idem
        * configure.ac: Idem
        * configure: Idem

	* inst/include/armadillo: Armadillo 11.2.0
	* inst/include/armadillo_bits/: Idem

2022-06-09  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version): RcppArmadillo 0.11.1.99.0

	* inst/include/armadillo: Armadillo 11.2-rc1
	* inst/include/armadillo_bits/: Idem

2022-05-15  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version): RcppArmadillo 0.11.1.1.0
        * inst/NEWS.Rd: Idem
        * configure.ac: Idem
        * configure: Idem

2022-05-14  Dirk Eddelbuettel  <edd@debian.org>

	* inst/include/armadillo_bits/: Armadillo 11.1.1

2022-05-13  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version): RcppArmadillo 0.11.1.0.0
        * inst/NEWS.Rd: Idem
        * configure.ac: Idem
        * configure: Idem

	* inst/include/armadillo: Armadillo 11.1.0
	* inst/include/armadillo_bits/: Idem

2022-05-11  Dirk Eddelbuettel  <edd@debian.org>

	* configure.ac: Ensure OpenMP is propagated in the 'found' case

2022-05-10  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version): RcppArmadillo 0.11.0.99.1.0

	* inst/include/armadillo: Armadillo 11.1-rc1
	* inst/include/armadillo_bits/: Idem

2022-04-14  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version, Date): RcppArmadillo 0.11.0.1.0

	* inst/include/armadillo_bits/: Armadillo 11.0.1

2022-04-04  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version, Date): RcppArmadillo 0.11.0.0.0

	* inst/include/armadillo: Armadillo 11.0.0
	* inst/include/armadillo_bits/: Idem

	* inst/tinytest/test_scipy2r.R: Skip on Windows

2022-03-31  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version): RcppArmadillo 0.10.99.3.0

	* inst/include/armadillo: Armadillo 11.0-rc3
	* inst/include/armadillo_bits/: Idem

2022-03-24  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version): RcppArmadillo 0.10.99.1.0

	* inst/include/armadillo: Armadillo 11.0-rc2
	* inst/include/armadillo_bits/: Idem

2022-03-22  Dirk Eddelbuettel  <edd@debian.org>

	* inst/tinytest/test_Rlapack.R: If a non-suitable LAPACK installation
	is seen (as currently on Ubuntu under 3.9.0) skip the file

2022-03-20  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version): RcppArmadillo 0.10.99.0

	* inst/include/armadillo: Armadillo 11.0-rc1
	* inst/include/armadillo_bits/: Idem

	* inst/tinytest/test_Rlapack.R: Skipping while investigating

2022-02-23  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version, Date): Roll minor version

	* inst/include/RcppArmadilloWrap.h (wrap): Deprecation transition:
	until May 1, only correct Fields if RCPP_ARMADILLO_FIX_Field defined

	* inst/tinytest/cpp/armadillo.cpp (has_old_field_behavior): Adjust
	* inst/tinytest/cpp/fields.cpp (has_old_field_behavior): Idem
	* inst/tinytest/test_fields.R: Idem

	* tests/tinytest.R: Simplified reflecting long-updated tinytest

2022-02-14  Dirk Eddelbuettel  <edd@debian.org>

	* inst/include/RcppArmadilloWrap.h (wrap): Unless
	RCPP_ARMADILLO_OLD_Field_BEHAVIOR is defines use correction

2022-02-01  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version, Date): RcppArmadillo 0.10.8.2.0
        * inst/NEWS.Rd: Idem
        * configure.ac: Idem
        * configure: Idem

	* inst/include/armadillo_bits/: Armadillo 10.8.2

2022-01-23  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version, Date): RcppArmadillo 0.10.8.1.0
        * inst/NEWS.Rd: Idem
        * configure.ac: Idem
        * configure: Idem

	* inst/include/armadillo_bits/: Armadillo 10.8.1

2022-01-02  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version, Date): RcppArmadillo 0.10.8.0
        * inst/NEWS.Rd: Idem
        * configure.ac: Idem
        * configure: Idem

	* inst/include/armadillo_bits/: Armadillo 10.8

2021-12-27  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version): RcppArmadillo 0.10.7.99.1

	* inst/include/armadillo: Armadillo 10.8-rc2
	* inst/include/armadillo_bits/: Idem

2021-12-21  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version): RcppArmadillo 0.10.7.99.0

	* inst/include/armadillo: Armadillo 10.8-rc1
	* inst/include/armadillo_bits/: Idem

2021-12-16  Dirk Eddelbuettel  <edd@debian.org>

	* inst/include/armadillo_bits/: Armadillo 10.7.5

2021-11-23  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): RcppArmadillo 0.10.7.4.0
        * inst/NEWS.Rd: Idem

	* inst/include/armadillo_bits/: Armadillo 10.7.4

2021-11-18  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): RcppArmadillo 0.10.7.3.1

	* inst/include/RcppArmadilloConfig.h: Simplify to using just one new
	#define for the two changes to Fields import/export
	* inst/include/RcppArmadilloAs.h (get): Updated
	* inst/include/RcppArmadilloWrap.h (wrap): Idem
	* inst/tinytest/cpp/fields_new.cpp: Idem

2021-11-16  Dirk Eddelbuettel  <edd@debian.org>

	* inst/tinytest/cpp/fields.cpp: Added tests for R -> C++
	* inst/tinytest/cpp/fields_new.cpp: Idem
	* inst/tinytest/test_fields.R: Idem
	* inst/tinytest/test_fields_new.R: Idem

2021-11-15  Dirk Eddelbuettel  <edd@debian.org>

	* inst/tinytest/cpp/fields.cpp: Additional test using 3d field
	working in 'new' but not in 'old' setup
	* inst/tinytest/cpp/fields_new.cpp: Idem
	* inst/tinytest/test_fields.R: Idem
	* inst/tinytest/test_fields_new.R: Idem

	* inst/tinytest/cpp/fields.cpp: Initial tests for R -> C++
	* inst/tinytest/test_fields.R: Idem

2021-11-13  Dirk Eddelbuettel  <edd@debian.org>

	* inst/tinytest/cpp/fields_new.cpp: Test for 'new' (i.e. corrected)
	fields behaviour currently requiring #define (for C++ to R)
	* inst/tinytest/test_fields_new.R: Idem

2021-11-12  Dirk Eddelbuettel  <edd@debian.org>

	* inst/tinytest/test_fields.R: Added 1-d field tests (for C++ to R)
	* inst/tinytest/cpp/fields.cpp: Idem

2021-11-09  Dirk Eddelbuettel  <edd@debian.org>

	* inst/tinytest/test_fields.R: Added field tests (for C++ to R)
	* inst/tinytest/cpp/fields.cpp: Idem

2021-11-09  Jonathan Berrisch  <jonathan@berrisch.biz>

	* inst/include/RcppArmadilloAs.h: Update arma::field conversion
	* inst/include/RcppArmadilloWrap.h: Idem
	* inst/include/RcppArmadilloConfig.h: Define guards for changes
	* inst/tinytest/test_rcpparmadillo.R: New tests

2021-11-08  Dirk Eddelbuettel  <edd@debian.org>

	* local/armafield.cpp: Add an arma::field test file

2021-11-04  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): RcppArmadillo 0.10.7.3.0
        * inst/NEWS.Rd: Idem

	* inst/include/armadillo_bits/: Armadillo 10.7.3

2021-11-03  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): RcppArmadillo 0.10.7.2.0
        * inst/NEWS.Rd: Idem

2021-11-02  Dirk Eddelbuettel  <edd@debian.org>

	* inst/include/armadillo_bits/: Armadillo 10.7.2

2021-10-08  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): RcppArmadillo 0.10.7.1
        * inst/NEWS.Rd: Idem
        * configure.ac: Idem
        * configure: Idem

        * inst/include/armadillo_bits/: Armadillo 10.7.1

2021-09-29  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): RcppArmadillo 0.10.7.0.0
        * inst/NEWS.Rd: Idem
        * configure.ac: Idem
        * configure: Idem

        * inst/include/armadillo_bits/arma_version.hpp: Armadillo 10.7.0

2021-09-29  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): RcppArmadillo 0.10.6.99.3
        * inst/NEWS.Rd: Idem
        * configure.ac: Idem
        * configure: Idem

        * inst/include/armadillo_bits/: Armadillo 10.7-RC2

2021-09-27  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): RcppArmadillo 0.10.6.99.2
	* DESCRIPTION (Author): Add Conrad
	* README.md (Rcpp): Idem

	* inst/include/RcppArmadilloAs.h: Update copyright header,
	remove two editor settings lines as we long switched to editorconfig
	* inst/include/RcppArmadilloConfigGenerated.h.in: Idem
	* inst/include/RcppArmadilloConfig.h: Idem
	* inst/include/RcppArmadilloForward.h: Idem
	* inst/include/RcppArmadillo.h: Idem
	* inst/include/RcppArmadilloSugar.h: Idem
	* inst/include/RcppArmadilloWrap.h: Idem

2021-09-27  Condrad Sanderson  <conradsand.arma@gmail.com>

	* inst/include/RcppArmadilloForward.h: Adjust for Armadillo 10.7 and
	subview_cols
	* inst/include/RcppArmadilloWrap.h: Idem

2021-09-26  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): RcppArmadillo 0.10.6.99.1
        * inst/NEWS.Rd: Idem
        * configure.ac: Idem
        * configure: Idem

        * inst/include/armadillo_bits/: Armadillo 10.7-RC1

	* README.md: Added total downloads badge

2021-08-05  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): RcppArmadillo 0.10.6.2.0
        * inst/NEWS.Rd: Idem
        * configure.ac: Idem
        * configure: Idem

        * inst/include/armadillo_bits/: Armadillo 10.6.2

2021-07-19  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): RcppArmadillo 0.10.6.1.0
        * inst/NEWS.Rd: Idem
        * configure.ac: Idem
        * configure: Idem

        * inst/include/armadillo_bits/: Armadillo 10.6.1

2021-07-16  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): RcppArmadillo 0.10.6.0.0
        * inst/NEWS.Rd: Idem
        * configure.ac: Idem
        * configure: Idem

	* man/RcppArmadillo-package.Rd: Use https URL

        * inst/include/armadillo_bits/: Armadillo 10.6.0

2021-07-07  Dirk Eddelbuettel  <edd@debian.org>

	* DESCRIPTION (Version, Date): RcppArmadillo 0.10.5.99.0
        * inst/NEWS.Rd: Idem
        * configure.ac: Idem
        * configure: Idem
        * inst/include/armadillo_bits/: Armadillo 10.6-rc1

2021-07-01  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): RcppArmadillo 0.10.5.3.0
        * inst/NEWS.Rd: Idem
        * configure.ac: Idem
        * configure: Idem
        * inst/include/armadillo_bits/: Armadillo 10.5.3

2021-06-12  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): RcppArmadillo 0.10.5.2.0
        * inst/NEWS.Rd: Idem
        * configure.ac: Idem
        * configure: Idem
        * inst/include/armadillo_bits/: Armadillo 10.5.2

2021-06-05  Dirk Eddelbuettel  <edd@debian.org>

        * README.md: Add coverage badge

2021-06-04  Dirk Eddelbuettel  <edd@debian.org>

        * inst/tinytest/test_misc.R: Add tests for several miscellaneous
        functions in src/RcppArmadillo.cpp, R/flags.R
        * inst/tinytest/test_fastLm.R: Additional fastLm() tests
        * R/SciPy2R.R: Set nocov tags for deprecated code
        * R/RcppArmadillo.package.skeleton.R: Set nocov

        * .codecov.yml (comment): Set to false

2021-05-29  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): RcppArmadillo 0.10.5.1.0
        * inst/NEWS.Rd: Idem
        * configure.ac: Idem
        * configure: Idem
        * inst/include/armadillo_bits/: Armadillo 10.5.1

2021-05-21  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): RcppArmadillo 0.10.5.0.0
        * inst/NEWS.Rd: Idem
        * configure.ac: Idem
        * configure: Idem

        * inst/include/armadillo_bits/: Armadillo 10.5.0

2021-05-15  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.10.499.1.0 [github-only]
        * inst/NEWS.Rd: Idem
        * configure.ac: Idem
        * configure: Idem

        * inst/include/armadillo_bits/: Armadillo 10.5 RC1

        * .codecov.yml (ignore): Exclude Armadillo itself

2021-04-23  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): RcppArmadillo 0.10.4.1.0
        * inst/NEWS.Rd: Idem
        * configure.ac: Idem
        * configure: Idem

        * inst/include/armadillo_bits/: Armadillo 10.4.1

2021-04-13  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (URL): Added to DESCRIPTION file

2021-04-12  Dirk Eddelbuettel  <edd@debian.org>

        * inst/include/armadillo_bits/arma_rng.hpp: Apply two upstream
        corrections for RNG draws discovered during reverse depends checks

2021-04-11  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): RcppArmadillo 0.10.4.0.0
        * inst/NEWS.Rd: Idem
        * configure.ac: Idem
        * configure: Idem
        * inst/include/armadillo{,_bits}/: Armadillo 10.4.0

2021-03-10  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): RcppArmadillo 0.10.3.0.0
        * configure.ac: Idem
        * configure: Idem
        * inst/include/armadillo{,_bits}/: Armadillo 10.3

2021-03-09  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): RcppArmadillo 0.10.2.2.0
        * configure.ac: Idem
        * configure: Idem

2021-03-08  Dirk Eddelbuettel  <edd@debian.org>

        * inst/tinytest/test_cube.R: On Windows, lower tolerance for two
        tests to accomodate tests on gcc10-UCRT

2021-02-26  Dirk Eddelbuettel  <edd@debian.org>

        * inst/include/armadillo_bits/: Armadillo 10.2.2

2021-02-09  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): RcppArmadillo 0.10.2.1.0
        * configure.ac: Idem
        * configure: Idem

2021-02-03  Dirk Eddelbuettel  <edd@debian.org>

        * inst/include/armadillo_bits/: Armadillo 10.2.1

2021-01-26  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): RcppArmadillo 0.10.2.0.0
        * configure.ac: Idem
        * configure: Idem

2021-01-25  Dirk Eddelbuettel  <edd@debian.org>

        * inst/include/armadillo{,_bits/}: Armadillo 10.2.0

2021-01-08  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): RcppArmadillo 0.10.1.2.2
        * configure.ac: Idem
        * configure: Idem

2021-01-05  Dirk Eddelbuettel  <edd@debian.org>

        * inst/tinytest/test_sparseConversion.R: Set doDiag=FALSE to ensure
        dgCMatrix return (accomodates Matrix >= 1.3.0, also conditioned on)

2021-01-05  Condrad Sanderson  <conradsand.arma@gmail.com>

        * inst/include/armadillo_bits/arma_cmath.hpp: fix handling of NaN by
        arma::sign()

2021-01-01  Dirk Eddelbuettel  <edd@debian.org>

        * .github/workflows/ci.yaml: Add CI runner using r-ci
        * README.md: Add new badge

        * inst/tinytest/test_sparseConversion.R: Condition updated test on
        Matrix package version 1.3.0 or greater

        * R/RcppArmadillo.package.skeleton.R: Wrap any() around grepl()

2020-12-31  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): RcppArmadillo 0.10.1.2.1
        * configure.ac: Idem
        * configure: Idem

        * inst/tinytest/test_sparseConversion.R: Update one call to
        rsparsematrix to suppress another warning from Matrix 1.3.0

        * DESCRIPTION (Suggests): Change to versioned 'Suggests: Matrix (>=
        1.3.0)', (Description): Minor rewording

2020-12-30  Binxiang Ni  <binxiangni@gmail.com>

        * inst/tinytest/test_sparseConversion.R: Coerce dtCMatrix to
        dgCMatrix in one unit test (required by Matrix 1.3.0)

2020-11-15  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): RcppArmadillo 0.10.1.2.0
        * configure.ac: Idem
        * configure: Idem

        * inst/tinytest/test_sparseConversion.R: Skipping parts on Windows

2020-11-14  Dirk Eddelbuettel  <edd@debian.org>

        * inst/include/armadillo_bits/: Armadillo 10.1.2

2020-10-26  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): Roll minor version

        * src/RcppArmadillo.cpp: Rewrite version number accessors to be more
        rebust of upstream and compiler settings

        * .editorconfig: Added for standardized editor behaviour
        * .Rbuildignore: Exclude .editorconfig

2020-10-24  Condrad Sanderson  <conradsand.arma@gmail.com>

        * inst/include/RcppArmadilloForward.h: Switch to quoted #include

2020-10-21  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): Roll minor version

        * src/RcppArmadillo.cpp: Remove three redundant const int

        * configure.ac: No longer use m4 to get version number
        * configure: Regenerated

2020-10-09  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.10.1.0.0
        * inst/NEWS.Rd: Release 0.10.1.0.0
        * configure: Regenerated for 0.10.1.0.0

        * inst/include/armadillo: Armadillo 10.1.0
        * inst/include/armadillo_bits: Armadillo 10.1.0

2020-10-08  Dirk Eddelbuettel  <edd@debian.org>

        * inst/include/armadillo/: Armadillo 10.1-rc2
        * inst/include/armadillo_bits/: Idem

        * .travis.yml: Switch to focal and BSPM use

2020-10-01  Dirk Eddelbuettel  <edd@debian.org>

        * inst/include/armadillo/: Armadillo 10.1-rc1
        * inst/include/armadillo_bits/: Idem

        * inst/include/RcppArmadillo/Mat_meat.h: Two added lines to set
        n_alloc(0) as emailed by Conrad

2020-09-02  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.9.900.3.0
        * inst/NEWS.Rd: Release 0.9.900.3.0
        * configure: Regenerated for 0.9.900.3.0

        * inst/include/armadillo_bits/*: Armadillo 9.900.3

2020-07-17  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.9.900.2.0
        * inst/NEWS.Rd: Release 0.9.900.2.0

2020-07-15  Dirk Eddelbuettel  <edd@debian.org>

        * inst/include/armadillo_bits/*: Armadillo 9.900.2

        * configure.ac: One small improvement for AC_INIT

2020-06-08  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.9.900.1.0
        * inst/NEWS.Rd: Release 0.9.900.1.0

        * inst/include/armadillo_bits: Armadillo 9.900.1

        * R/RcppArmadillo.package.skeleton.R: Accomodate a R 4.0.0 change
        about NAMESPACE exports from package.skeleton()

2020-06-05  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.9.899.1.0 [github-only]
        * inst/NEWS.Rd: Release 0.9.899.1.0

        * inst/include/armadillo/: Armadillo 9.900-rc1
        * inst/include/armadillo_bits/: Idem

2020-05-17  Dirk Eddelbuettel  <edd@debian.org>

        * README.md: Add 'indirect use' and 'csda' badges

2020-05-16  Dirk Eddelbuettel  <edd@debian.org>

        * .travis.yml (dist): Updated to bionic and R 4.0.0 via matrix

2020-05-15  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.9.880.1.0
        * inst/NEWS.Rd: Release 0.9.880.1.0

        * inst/include/armadillo: Armadillo 9.880.1
        * inst/include/armadillo_bits: Armadillo 9.880.1

2020-05-06  Dirk Eddelbuettel  <edd@debian.org>

        * configure.ac: Rebasing and rewording

2020-05-05  Kevin Ushey  <kevinushey@gmail.com>

        * configure.ac: Improve temporary directory determination and use

2020-05-05  Dirk Eddelbuettel  <edd@debian.org>

        * configure.ac: Tweaks to wording, whitespace and cleanup

2020-05-04  Kevin Ushey  <kevinushey@gmail.com>

        * configure.ac: Add explicit check for functioning OpenMP

2020-04-24  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.9.870.2.0
        * inst/NEWS.Rd: Release 0.9.870.2.0

        * inst/include/armadillo_bits: Armadillo 9.870.2

2020-04-23  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.9.869.2.0 [github-only]
        * inst/NEWS.Rd: Release 0.9.869.2.0

        * inst/include/armadillo_bits/: Armadillo 9.870-rc2

2020-04-22  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.9.869.1.0 [github-only]
        * inst/NEWS.Rd: Release 0.9.869.1.0

        * inst/include/armadillo: Armadillo 9.870-rc1
        * inst/include/armadillo_bits/*: Idem

2020-04-13  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.9.860.2.0
        * inst/NEWS.Rd: Release 0.9.860.2.0

        * inst/include/armadillo_bits: Armadillo 9.860.2

2020-04-10  Dirk Eddelbuettel  <edd@debian.org>

        * inst/tinytest/test_scipy2r.R: Skip test on 32-bit Windows
        * inst/tinytest/test_complex.R: Ditto

2020-03-30  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.9.860.1.0
        * inst/NEWS.Rd: Release 0.9.860.1.0

        * inst/include/armadillo: Armadillo 9.860.1
        * inst/include/armadillo_bits/*: Idem

2020-03-28  Dirk Eddelbuettel  <edd@debian.org>

        * README.md: Updated

2020-03-26  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.9.859.1.0 [github-only]
        * inst/NEWS.Rd: Release 0.9.859.1.0

        * inst/include/armadillo: Armadillo 9.860-rc1
        * inst/include/armadillo_bits/*: Idem

        * .travis.yml: No longer need r-cran-pinp

2020-02-17  Dirk Eddelbuettel  <edd@debian.org>

        * configure.ac: Provide a negative message for the macOS test
        * configure: Idem

2020-02-14  Dirk Eddelbuettel  <edd@debian.org>

        * README.md: Add a Debian badge

2020-02-10  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): Roll minor version

        * vignettes/RcppArmadillo-intro.Rnw: Wraps pre-made vignette
        * vignettes/RcppArmadillo-sparseMatrix.Rmd: Idem
        * vignettes/rmd/Makefile: Added

        * DESCRIPTION (Suggests): Remove Suggests for rmarkdown, knitr, pinp;
        (VignetteBuilder): Removed

2020-02-09  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.9.850.1.0
        * inst/NEWS.Rd: Release 0.9.850.1.0

        * inst/include/armadillo: Armadillo 9.850.1
        * inst/include/armadillo_bits/*: Idem

2020-02-05  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.9.849.1.0 [github-only]
        * inst/NEWS.Rd: Release 0.9.849.1.0

        * inst/include/armadillo: Armadillo 9.850.rc1
        * inst/include/armadillo_bits/*: Idem

2020-01-26  Dirk Eddelbuettel  <edd@debian.org>

        * inst/tinytest/test_scipy2r.R: Condition on reticulate (>= 1.14)
        which no longer needs extra helper to convert from scipy
        * R/SciPy2R.R (.SciPy2R): Added .Deprecated() call

2020-01-24  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): Release 0.9.800.4.0
        * inst/NEWS.Rd: Release 0.9.800.4.0

        * inst/tinytest/test_scipy2r.R: Skip this test for now

2020-01-23  Dirk Eddelbuettel  <edd@debian.org>

        * inst/include/armadillo_bits/: Armadillo 9.800.4

2019-12-04  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): Release 0.9.800.3.0
        * inst/NEWS.Rd: Release 0.9.800.3.0

        * inst/include/armadillo_bits/*: Armadillo 9.800.3

2019-11-14  Dirk Eddelbuettel  <edd@debian.org>

        * inst/include/RcppArmadilloExtensions/sample.h: Const correctness

2019-10-13  Dirk Eddelbuettel  <edd@debian.org>

        * README.md: Added CRAN + BioConductor badges for reverse depends

        * R/RcppArmadillo.package.skeleton.R: remove force argument if unused

2019-10-09  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): Release 0.9.800.1.0
        * inst/NEWS.Rd: Release 0.9.800.1.0

        * inst/include/armadillo_bits/*: Armadillo 9.800.1

2019-10-04  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version): Upstream change of heart, 0.9.799.1.0 it is
        * inst/NEWS.Rd: Ditto

2019-10-02  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): 0.10.99.1.0 [github-only]

        * inst/include/armadillo*: Armadillo 10.100-rc1

2019-09-30  Min Kim  <msk@dolbo.net>

        * configure.ac: Portability fixes

2019-09-29  Dirk Eddelbuettel  <edd@debian.org>

        * README.md: Add Stackoverflow badge, add use count

2019-09-14  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): Roll minor version

        * DESCRIPTION: Replaced Suggests: of RUnit with tinytest

        * inst/tinytest/*: Added
        * tests/tinytest.R: Added converted RUnit tests

        * tests/doRUnit.R: Removed
        * inst/unitTests/*: Removed, converted into tinytest files

        * R/unit.test.R: Removed helper script

        * .travis.yml: Replace RUnit with tinytest

        * inst/include/RcppArmadilloSugar.h: Switch one int to size_t and add
        one cast in order to quieten two compiler warnings

2019-09-01  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): Release 0.9.700.2.0
        * inst/NEWS.Rd: Release 0.9.700.2.0

        * inst/include/armadillo_bits/*: Armadillo 9.700.2

2019-08-28  Dirk Eddelbuettel  <edd@debian.org>

        * configure.ac: Expand list of known gcc and clang versions

2019-08-27  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.9.699.1.0 [github-only]
        * inst/NEWS.Rd: Release 0.9.699.1.0

        * inst/include/armadillo: Armadillo 9.700-RC1
        * inst/include/armadillo_bits/*: Idem

2019-07-14  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.9.600.4.0
        * inst/NEWS.Rd: Release 0.9.600.4.0

        * inst/include/armadillo_bits/*: Armadillo 9.600.4

2019-07-13  irk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.9.599.4.0 [github-only]
        * inst/NEWS.Rd: Release 0.9.599.4.0

        * inst/include/armadillo: Armadillo 9.600-RC4
        * inst/include/armadillo_bits/*: Idem

2019-07-10 Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.9.599.3.0 [github-only]
        * inst/NEWS.Rd: Release 0.9.599.3.0

        * inst/include/armadillo: Armadillo 9.600-RC3
        * inst/include/armadillo_bits/*: Idem

2019-07-03  Dirk Eddelbuettel  <edd@debian.org>

        * inst/examples/fastLm.r (fastLmPureDotCall): Update example

2019-07-02  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.9.599.2.0 [github-only]
        * inst/NEWS.Rd: Release 0.9.599.2.0

        * inst/include/armadillo: Armadillo 9.600-RC2
        * inst/include/armadillo_bits/*: Idem

2019-06-11  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.9.500.2.0
        * inst/NEWS.Rd: Release 0.9.500.2.0

        * inst/include/armadillo: Armadillo 9.500.2
        * inst/include/armadillo_bits/*: Idem

2019-06-06  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.9.499.1.0 [github-only]
        * inst/NEWS.Rd: Release 0.9.499.1.0

        * inst/include/armadillo: Armadillo 9.500-RC1
        * inst/include/armadillo_bits/*: Idem

2019-05-09  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.9.400.3.0
        * inst/NEWS.Rd: Release 0.9.400.3.0

2019-05-03  Dirk Eddelbuettel  <edd@debian.org>

        * inst/include/armadillo_bits/*:  Armadillo 9.400.3

2019-04-28  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.9.400.2.0
        * inst/NEWS.Rd: Release 0.9.400.2.0

2019-04-27  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.9.399.2.0 [github-only]
        * inst/NEWS.Rd: Release 0.9.399.2.0

        * inst/include/armadillo_bits/*: Armadillo 9.400.2

2019-04-21  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.9.399.1.0 [github-only]
        * inst/NEWS.Rd: Release 0.9.399.1.0

        * inst/include/armadillo_bits/*: Armadillo 9.400-RC1

2019-03-21  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): Release 0.9.300.2.0
        * inst/NEWS.Rd: Release 0.9.300.2.0

        * inst/include/armadillo_bits/*: Armadillo 9.300.2

2019-03-16  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.9.299.0.0 [github-only]
        * inst/NEWS.Rd: Release 0.9.199.0.0

        * inst/include/armadillo_bits/*: Armadillo 9.300-RC1

2019-03-08  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): Release 0.9.200.7.1
        * inst/NEWS.Rd: Release 0.9.200.7.1

2019-03-07  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): New minor version

        * inst/unitTests/runit.sample.R (csample): Set the sample() behaviour
        to R 3.5.0 as R 3.6.0 has a breaking change (for the better)

        * inst/include/armadillo_bits/op_wishrnd_meat.hpp
        (apply_noalias_mode2): Backport a fix from Armadillo upstream

2019-01-17  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): Release 0.9.200.7.0
        * inst/NEWS.Rd: Release 0.9.200.7.0

        * inst/include/armadillo_bits/def_hdf5.hpp: CRLF -> CR
        * inst/include/armadillo_bits/fn_spsolve.hpp: Idem

2019-01-15  Dirk Eddelbuettel  <edd@debian.org>

        * inst/include/armadillo_bits/*: Armadillo 9.200.7

2018-11-27  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): Release 0.9.200.5.0
        * inst/NEWS.Rd: Release 0.9.200.5.0

        * inst/include/armadillo_bits/*: Armadillo 9.200.5

2018-11-09  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): Release 0.9.200.4.0
        * inst/NEWS.Rd: Release 0.9.200.4.0

        * vignettes/Rcpp-unitTests.Rnw: Removed as less useful now

2018-11-08  Dirk Eddelbuettel  <edd@debian.org>

        * inst/include/armadillo_bits/*: Armadillo 9.200.4

2018-10-27  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.9.199.2.0 [github-only]
        * inst/NEWS.Rd: Release 0.9.199.2.0

        * inst/include/armadillo_bits/*: Armadillo 9.200.RC3

2018-10-13  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.9.199.1.1 [github-only]
        * inst/NEWS.Rd: Release 0.9.199.1.1

        * inst/include/armadillo_bits/*: Armadillo 9.200.RC2 (gitlab)

2018-10-04  Dirk Eddelbuettel  <edd@debian.org>

        * inst/unitTests/runit.sparseConversion.R (test.stop): Comment-out a
        test which consistently fails on fedora-clang at CRAN, and only there

2018-10-03  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.9.199.1.0 [github-only]
        * inst/NEWS.Rd: Release 0.9.199.1.0

        * inst/include/armadillo_bits/*: Armadillo 9.200.RC2

2018-09-20  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.9.199.0.0 [github-only]
        * inst/NEWS.Rd: Release 0.9.199.0.0

        * inst/include/armadillo_bits/*: Armadillo 9.200.RC1

2018-09-02  Dirk Eddelbuettel  <edd@debian.org>

        * .travis.yml: Switch Travis CI to R 3.5 repo

2018-08-16  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.9.100.5.0
        * inst/NEWS.Rd: Release 0.9.100.5.0

        * inst/include/armadillo_bits/*: Armadillo 9.100.5

2018-08-13  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.9.099.1 [github-only]
        * inst/NEWS.Rd: Release 0.9.099.1

        * inst/include/armadillo_bits/*: Armadillo 9.100.RC2

2018-08-12  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.9.099.0 [github-only]
        * inst/NEWS.Rd: Release 0.9.099.0

        * inst/include/armadillo_bits/*: Armadillo 9.100.RC1

2018-08-06  Dirk Eddelbuettel  <edd@debian.org>

        * inst/skeleton/Makevars: Align PKG_CXXFLAGS and PKG_LIBS to both use
        SHLIB_OPENMP_CXXFLAGS and not once SHLIB_OPENMP_CFLAGS [CRAN request]
        * inst/skeleton/Makevars.win: Idem

2018-06-28  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.8.600.0.0
        * inst/NEWS.Rd: Release 0.8.600.0.0

        * inst/include/armadillo_bits/*: Armadillo 8.600.0

        * vignettes/RcppArmadillo-sparseMatrix.Rmd: Do not use biobliography
        embedded in yaml header as pandoc2 no longer supports it

2018-06-19  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.8.599.1 [github-only]
        * inst/NEWS.Rd: Release 0.8.599.1

        * inst/include/armadillo_bits/*: Armadillo 8.600.rc2

2018-06-16  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.8.599.0 [github-only]
        * inst/NEWS.Rd: Release 0.8.599.0

        * inst/include/armadillo_bits/*: Armadillo 8.600.rc1

2018-05-31  Santiago Olivella  <solivella@gmail.com>

        * R/RcppArmadillo.package.skeleton.R: Correct behavior when
        example_code=FALSE and pkgKitten is available

2018-05-31  Keith O'Hara  <kth.ohr@gmail.com>

        * inst/unitTests/cpp/Rlapack.cpp: Update Rlapack tests for band
        matrix solvers
        * inst/unitTests/runit.Rlapack.R: Idem

2018-05-17  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Suggests): Add 'slam' used in two unit test functions
        (and already conditional)

        * .travis.yml (install): Add r-cran-slam to packages to install;
        switch reticulate to r-cran-reticulate as both are in the c4d2u PPA

2018-05-15  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.8.500.1.0
        * inst/NEWS.Rd: Release 0.8.500.1.0

        * inst/include/armadillo_bits/*: Armadillo 8.500.1

2018-04-21  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.8.500.0
        * inst/NEWS.Rd: Release 0.8.500.0

2018-04-20  Dirk Eddelbuettel  <edd@debian.org>

        * inst/include/armadillo: Upgraded to Armadillo 8.500
        * inst/include/armadillo_bits/*: Idem

2018-04-19  Keith O'Hara  <kth.ohr@gmail.com>

        * configure.ac: Compile-time checks for macOS compilers
        * configure: Idem

2018-04-17  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.8.499.1.0 [GitHub only]
        * inst/NEWS.Rd: Release 0.8.499.1.0

        * inst/include/armadillo: Upgraded to Armadillo 8.500.rc2
        * inst/include/armadillo_bits/*: Idem

2018-04-14  Dirk Eddelbuettel  <edd@debian.org>

        * configure.ac: Comparison across ranges does not work reliably so
        explicitly enumerate alternative accepted g++ versions
        * configure: Regenerated

2018-03-29  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): New minor version 0.8.499.0.2

        * DESCRIPTION (Depends): Require R (>= 3.3.0)

2018-03-29  Keith O'Hara  <kth.ohr@gmail.com>

        * configure.ac: Updated check for limited LAPACK
        * configure: Idem

2018-03-27  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: New minor version 0.8.499.0.1

2018-03-27  Keith O'Hara  <kth.ohr@gmail.com>

        * inst/include/armadillo_bits/auxlib_meat.hpp: Remove several no
        longer needed define tests for the limited LAPACK shipped with R

        * inst/unitTests/cpp/Rlapack.cpp: Unit tests for these features
        * inst/unitTests/runit.Rlapack.R: Idem

2018-03-26  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.8.499.0.0 [GitHub only]
        * inst/NEWS.Rd: Release 0.8.499.0.0

        * inst/include/armadillo: Upgraded to Armadillo 8.500.rc1
        * inst/include/armadillo_bits/*: Idem

2018-02-19  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): Release 0.8.400.0.0
        * inst/NEWS.Rd: Release 0.8.400.0.0

        * inst/include/armadillo: Upgraded to Armadillo 8.400.0
        * inst/include/armadillo_bits/*: Idem

        * configure.ac: Update
        * configure: Idem

2018-02-13  Dirk Eddelbuettel  <edd@debian.org>

        * inst/include/RcppArmadilloConfigGenerated.h.in: Protect two #define
        statements by #ifndef clauses

2018-02-12  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.8.399.1.0 [GitHub only]
        * inst/NEWS.Rd: Release 0.8.399.1.0

        * inst/include/armadillo_bits/*: Upgraded to Armadillo 8.400.rc2

2018-02-10  Dirk Eddelbuettel  <edd@debian.org>

        * inst/include/RcppArmadilloConfig.h: Test if ARMA_COUT_STREAM is
        defined, not ARMA_COUT_OSTREAM; and ditto for ARMA_CERR_STREAM

2018-02-09  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.8.399.0.0 [GitHub only]
        * inst/NEWS.Rd: Release 0.8.399.0.0

        * inst/include/armadillo: Upgraded to Armadillo 8.400.rc1
        * inst/include/armadillo_bits/*: Idem

2017-12-04  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.8.300.1.0
        * inst/NEWS.Rd: Release 0.8.300.1.0

        * inst/include/armadillo: Upgraded to Armadillo 8.300.1
        * inst/include/armadillo_bits/*: Idem

2017-12-01  Serguei Sokol  <sokol at insa-toulouse.fr>

        * inst/include/RcppArmadilloAs.h: Support conversion from
        simple_triplet_matrix
        * inst/unitTests/runit.sparseConversion.R: Test conversion

2017-11-22  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.8.300.0.0 [GitHub only]
        * inst/NEWS.Rd: Release 0.8.300.0.0 [GitHub only]

        * inst/include/armadillo: Upgraded to Armadillo 8.300.0
        * inst/include/armadillo_bits/*: Idem

2017-11-08  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): Release 0.8.200.2.0 [GitHub only]

        * inst/include/armadillo_bits/*: Upgraded to Armadillo 8.200.2

2017-10-29  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.8.200.1.1 [GitHub only]
        * inst/NEWS.Rd: Release 0.8.200.1.1 [GitHub only]

        * inst/include/RcppArmadilloConfigGenerated.h.in: Minor edit to comment

2017-10-28  Dirk Eddelbuettel  <edd@debian.org>

        * configure.ac: Repair for OpenMP use as Armadillo needs g++ 5.4 or later
        * configure: Idem

2017-10-22  Dirk Eddelbuettel  <edd@debian.org>

        * configure.ac: Add default branch to g++ test with thanks to James
        * configure: Idem

2017-10-21  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.8.200.1.0 [GitHub only]
        * inst/NEWS.Rd: Release 0.8.200.1.0 [GitHub only]

        * inst/include/armadillo: Upgraded to Armadillo 8.200.1
        * inst/include/armadillo_bits/*: Idem

        * inst/include/RcppArmadilloConfig.h: Set ARMA_DONT_PRINT_OPENMP_WARNING to
        suppress warnings from Armadillo when client packages fail to set -fopenmp

        * inst/include/RcppArmadilloConfigGenerated.h.in: Small cleanups
        * configure.ac: Idem
        * configure: Idem

2017-10-14  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): Roll minor version

        * inst/skeleton/Makevars (CXX_STD): Update C++11 settings
        * inst/skeleton/Makevars.win (CXX_STD): Idem

2017-10-12  Dirk Eddelbuettel  <edd@debian.org>

        * R/RcppArmadillo.package.skeleton.R: Also set .registration=TRUE
        in NAMESPACE file

2017-10-10  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): Release 0.8.100.1.0
        * inst/NEWS.Rd: Idem
        * configure: Idem

2017-10-09  Dirk Eddelbuettel  <edd@debian.org>

        * inst/include/RcppArmadilloWrap.h (Rcpp): Call sync() on SpMat

2017-10-05  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): Release 0.8.100.1.0 (incomplete)

        * .travis.yml (install): Also install r-cran-pinp

2017-10-04  Dirk Eddelbuettel  <edd@debian.org>

        * vignettes/RcppArmadillo-sparseMatrix.Rmd: Some edits, added
        references

2017-10-02  Dirk Eddelbuettel  <edd@debian.org>

        * inst/include/armadillo: Upgraded to Armadillo 8.100.1
        * inst/include/armadillo_bits/*: Idem

        * inst/include/RcppArmadilloConfig.h: Update to ARMA_COUT_STREAM
        and ARMA_CERR_STREAM

        * vignettes/RcppArmadillo-sparseMatrix.Rmd: Converted to markdown
        using pinp package, added missing vignette entries

2017-09-20  Serguei Sokol  <sokol@insa-toulouse.fr>

        * inst/include/RcppArmadilloAs.h: Use native constructors for dgt,
        dtt, dst type conversion

2017-08-31  Binxiang Ni  <binxiangni@gmail.com>

        * inst/include/RcppArmadilloAs.h: Call .sync() before assessing
        internals of the SpMat classes [early patch to the 8.100.* code]

2017-08-29  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): Release 0.7.960.1.2

2017-08-27  Dirk Eddelbuettel  <edd@debian.org>

        * configure.ac: Detect macOS to turn off OpenMP in src/Makevars
        * configure: Idem
        * src/Makevars: New configure var for OpenMP linker/compiler flags
        * inline.R: Similarly turn OpenMP off on macOS

        * src/Makevars: Compile under C++11
        * src/Makevars.win: Idem

2017-08-26  James Joseph Balamuta  <balamut2@illinois.edu>

        * DESCRIPTION: Also Suggests: highlight
        * vignettes/RcppArmadillo-sparseMatrix.Rnw: Set VignetteDepends

2017-08-21  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): Roll minor version

        * inst/include/RcppArmadilloConfigGenerated.h.in: Renamed from
        inst/include/RcppArmadilloLapack.h.in to reflect use beyond LAPACK
        * inst/include/RcppArmadilloConfig.h: Updated
        * configure.ac: Idem
        * configure: Idem
        * cleanup.sh: Idem

2017-08-20  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): Release 0.7.960.1.1

        * man/RcppArmadillo-package.Rd: Minor edits
        * man/fastLm.Rd: Idem
        * README.md: Idem

        * src/Makevars.win: Small cosmetic edits as in Makevars

2017-08-19  Dirk Eddelbuettel  <edd@debian.org>

        * configure.ac: Added simple OpenMP detection
        * configure: Idem
        * inst/include/RcppArmadilloLapack.h.in: Apply variable here
        * src/Makevars: Small edits

        * src/fastLm.cpp: Renamed fastLm to fastLm_impl to not clash with
        R method of same name now that .registration is true
        * inst/unitTests/runit.fastLm.R: Updated test call
        * src/RcppExports.cpp: Regenerated
        * R/RcppExports.R: Idem
        * man/fastLm.Rd: New alias

2017-08-18  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): Roll minor version

        * inst/include/RcppArmadilloAs.h (Rcpp): Improved S4 inheritance check

2017-08-11  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): Release 0.7.960.1.0
        * inst/NEWS.Rd: Idem

        * DESCRIPTION (Author): New co-author Binxinag Ni

2017-08-10  Dirk Eddelbuettel  <edd@debian.org>

        * inst/include/armadillo_bits/*: Updated to upstream release 7.960.1

        * .aspell/: Added for new R-devel spell checker interface

        * DESCRIPTION (Version, Date): Rolled to pre-release 0.7.959.0.3

2017-08-09  Dirk Eddelbuettel  <edd@debian.org>

        * inst/unitTests/runit.scipy2r.R: Condition test on having SciPy

        * DESCRIPTION (Version, Date): Rolled to pre-release 0.7.959.0.2

2017-08-08  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): Rolled to pre-release 0.7.959.0.1
        in preparation of 0.7.960.0.0 release "real soon now"

        * tests/doRUnit.R: Small edits and improvements

        * inst/unitTests/runit.sparseConversion.R: Run Kronecker products
        once in setup under suppressMessages to suppress dispatch messages

2017-08-07  Dirk Eddelbuettel  <edd@debian.org>

        * inst/unitTests/runit.scipy2r.R: Whitespace edits
        * R/SciPy2R.R: Idem; also renamed from py2R, removed one require()

        * .travis.yml (install): Also install reticulate and (r-cran-)jsonlite

2017-08-07  Binxiang Ni  <binxiangni@gmail.com>

        * R/py2r.R: Python to R conversion
        * inst/unitTests/runit.scipy2r.R: Unit tests

2017-08-06  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): Rolled to fictional pre-release
        number 0.7.959.0.0 is preparation of 0.7.960.0.0 release

        * inst/NEWS.Rd: Expanded description of GSoC 2017 work by Binxiang

2017-08-03  Binxiang Ni  <binxiangni@gmail.com>

        * inst/include/RcppArmadilloWrap.h: Comment-out unreachable code

2017-08-02  Qiang Kou (KK) <qkou@qkou.info>

        * inst/include/armadillo_bits/SpMat_meat.hpp: Correct use of 'p'
        in dgCMatrix (by pulling in upstream patch from Armadillo)
        * inst/unitTests/cpp/sparse.cpp: New speye() unit tests
        * inst/unitTests/runit.sparse.R: Ditto

2017-08-01  Dirk Eddelbuettel  <edd@debian.org>

        * inst/include/armadillo*: Upgraded to Armadillo 7.960.0

2017-08-01  Serguei Sokol  <sokol@insa-toulouse.fr>

        * inst/include/RcppArmadilloWrap.h: Allow collapsed returns of row
        or column vector if appropriate #define is set

        * inst/unitTests/runit.RcppArmadillo.R: Corresponding unit test
        * inst/unitTests/cpp/any_as_vec.cpp: Ditto
        * inst/unitTests/cpp/armadillo.cpp: Ditto
        * inst/unitTests/cpp/colrow_as_vec.cpp: Ditto

        * R/unit.test.R: Generalization for test helper

2017-07-31  Dirk Eddelbuettel  <edd@debian.org>

        * vignettes/RcppArmadillo-sparseMatrix.Rnw: Use highlight engine

2017-07-31  Binxiang Ni  <binxiangni@gmail.com>

        * vignettes/RcppArmadillo-sparseMatrix.Rnw: New vignette

2017-07-11  Binxiang Ni  <binxiangni@gmail.com>

        * inst/include/RcppArmadilloAs.h: Add a stop message for matrices
        that cannot be converted
        * inst/unitTests/runit.sparseConversion.R: Add unit tests for matrices
        that cannot be converted

2017-07-10  Binxiang Ni  <binxiangni@gmail.com>

        * inst/include/RcppArmadilloAs.h: Rewrite conversion for ddiMatrix
        to support an extreme case
        * inst/unitTests/runit.sparse.R: Move unit tests for the conversion
        for sparse matrices to runit.sparseConversion.R
        * inst/unitTests/runit.sparseConversion.R: Add more unit tests for
        the conversion for ddiMatrix

2017-07-08  Binxiang Ni  <binxiangni@gmail.com>

        * inst/include/RcppArmadilloAs.h: Add conversion for indMatrix
        * inst/unitTests/runit.sparse.R: Add unit tests for the conversion
        for indMatrix
        * inst/unitTests/runit.sparseConversion.R: Add more unit tests for
        the conversion for indMatrix

2017-07-08  Dirk Eddelbuettel  <edd@debian.org>

        * inst/unitTests/runit.sparseConversion.R: Use text= in read.table

2017-07-04  Binxiang Ni  <binxiangni@gmail.com>

        * inst/include/RcppArmadilloAs.h: Rewrite conversion for dgT, dtT
        & dsTMatrix to support two extreme cases
        * inst/unitTests/runit.sparseConversion.R: Add new unit tests
        for conversion of sparse matrices

2017-06-23  Dirk Eddelbuettel  <edd@debian.org>

        * inst/AUTHORS: Added
        * inst/COPYRIGHTS: Idem

2017-06-21  Binxiang Ni  <binxiangni@gmail.com>

        * inst/include/RcppArmadilloAs.h: Add conversion for pMatrix &
        ddiMatrix
        * inst/unitTests/runit.sparse.R: Add unit tests for the conversion
        for pMatrix & ddiMatrix

2017-06-19  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): Roll minor version

        * .travis.yml (group): Added as required by Travis CI

2017-06-19  Binxiang Ni  <binxiangni@gmail.com>

        * inst/include/RcppArmadilloAs.h: Add conversion for dgR, dtR &
        dsRMatrix
        * inst/unitTests/runit.sparse.R: Add unit tests for the conversion
        for dgR, dtR & dsRMatrix

2017-06-18  Binxiang Ni  <binxiangni@gmail.com>

        * inst/include/RcppArmadilloAs.h: Add conversion for dgT, dtT &
        dsTMatrix
        * inst/unitTests/runit.sparse.R: Add unit tests for the conversion
        for dgT, dtT & dsTMatrix

2017-06-17  Binxiang Ni  <binxiangni@gmail.com>

        * inst/include/RcppArmadilloAs.h: Add conversion for dtC & dsCMatrix
        * inst/unitTests/runit.sparse.R: Add unit tests for the conversion
        for dtC & dsCMatrix

2017-06-04  Dirk Eddelbuettel  <edd@debian.org>

        * configure.ac: Whitespace changes
        * configure: Regenerated

2017-06-02  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): Release 0.7.900.2.0
        * inst/NEWS.Rd: Idem

        * README.md: Use alternate for img.shields.io GPL-2+ badge

        * src/Makevars (CXX_STD): Do not enable C++11 by default to not
        require too modern a compiler

2017-06-01  Dirk Eddelbuettel  <edd@debian.org>

        * inst/include/armadillo*: Upgraded to Armadillo 7.900.2

2017-05-24  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): Release 0.7.900.1.2 (GH-only)
        * src/RcppExports.cpp: Regenerated under Rcpp 0.12.11 with included
        package registration
        * R/RcppExports.R: Regenerated under Rcpp 0.12.11 with unquoted registered
        function calls
        * src/init.c: Removed

        * README.md: Switch to https for a few badge URLs
        * R/inline.R (inlineCxxPlugin): Use '::' to import from Rcpp

2017-05-23  Dirk Eddelbuettel  <edd@debian.org>

        * R/inline.R (inlineCxxPlugin): Also enable OpenMP as a compile-time option

2017-05-22  Dirk Eddelbuettel  <edd@debian.org>

        * R/inline.R (inlineCxxPlugin): Support OpenMP
        * src/Makevars: Ditto
        * src/Makevars.win: Ditto
        * inst/skeleton/Makevars: Ditto
        * inst/skeleton/Makevars.win: Ditto

2017-05-21  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): Release 0.7.900.1.1 (GH-only)
        * inst/unitTests/cpp/rmultinom.cpp: More careful use of Armadillo
        vectors and Rcpp vectors

2017-05-15  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): Release 0.7.900.1.0 (GH-only)

        * inst/include/armadillo*: Upgraded to Armadillo 7.900.1

2017-05-10  James Joseph Balamuta  <balamut2@illinois.edu>

        * man/armadillo_set_seed.Rd: Clarified RNG usage in C++98 and C++11 modes.
        * man/armadillo_set_seed_random.Rd: idem
        * R/RcppExports.R: idem
        * src/RcppArmadillo.cpp: idem

2017-05-08  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): Release 0.7.900.0.0 (GH-only)

        * inst/include/armadillo*: Upgraded to Armadillo 7.900.0

2017-05-06  James Joseph Balamuta  <balamut2@illinois.edu>

        * configure.ac: Added gcc7 to viable gcc compiler list
        * configure: Idem

2017-05-03  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): Test release 0.7.899.0.0

        * inst/include/armadillo*: Upgraded to Armadillo 7.899.0

        * src/Makevars (PKG_LIBS): Enable OpenMP and C++11

2017-04-16  Dirk Eddelbuettel  <edd@debian.org>

        * inst/include/RcppArmadillo/Alt_R_RNG.h (set_seed): Add a simple
        null-op to suppress a -Wunused warning

2017-04-12  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): Release 0.7.800.2.0

        * inst/include/armadillo*: Upgraded to Armadillo 7.800.2

2017-02-20  Dirk Eddelbuettel  <edd@debian.org>

        * NAMESPACE (useDynLib): Add .registration=TRUE; some other edits
        * src/init.c: Added 'R_registerRoutines()' & 'R_useDynamicSymbols()'

2017-02-19  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): Release 0.7.800.0.0 (GH-only)
        * DESCRIPTION (Description): Mention that Armadillo is now licensed
        as Apache License 2 (as a change from Mozilla MPL 2.0)

        * inst/include/armadillo*: Upgraded to Armadillo 7.800.0

2017-02-18  Dirk Eddelbuettel  <edd@debian.org>

        * src/fastLm.cpp: Whitespace tweaks, using Named(), update copyright

        * .travis.yml (before_install): Use https

2017-02-06  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): Release 0.7.700.0.0 (CRAN)

        * inst/include/*: Upgraded to release 7.700.0 of Armadillo

        * debian/*: Debian release of 0.7.700.0.0

2017-01-05  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): 0.7.600.2.0 (GH-only)

2017-01-04  Dirk Eddelbuettel  <edd@debian.org>

        * inst/include/armadillo_bits/: Armadillo release 7.600.2

2016-12-16  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): Release 0.7.600.1.0
        * inst/NEWS.Rd: Release 0.7.600.1.0

        * debian/*: Debian release of 0.7.600.1.0

        * inst/include/*: Upgraded to release 7.600.1 of Armadillo

2016-12-12  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version): Release 0.7.599.0 (GH-only)
        * inst/NEWS.Rd: Release 0.7.599.0 (GH-only)

        * inst/include/*: Upgraded to release 7.600.0-test of Armadillo

2016-11-11  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version): Release 0.7.500.1.0 (GH-only)
        * inst/NEWS.Rd: Release 0.7.500.1.0 (GH-only)

        * inst/include/*: Upgraded to release 7.500.1 of Armadillo

2016-10-25  Dirk Eddelbuettel  <edd@debian.org>

        * inst/include/RcppArmadilloExtensions/sample.h (Rcpp): Update to
        newer Armadillo interface: descending sort order is now signaled
        by using the more explicit string "descend" as opposed to (uword) 1

2016-10-20  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): Release 0.7.500.0.0

        * DESCRIPTION (Description): Noted minimum of g+++ 4.6 or later

2016-10-20  Dirk Eddelbuettel  <edd@debian.org>

        * inst/include/*: Upgraded to release 7.500.0 of Armadillo

        * debian/*: Debian release of 0.7.500.0.0

        * .gitattributes: Added

2016-08-24  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version, Date): Release 0.7.400.2.0 (CRAN)

        * inst/include/*: Finalised as 7.400.2 of Armadillo

        * debian/*: Debian release of 0.7.400.2.0

        * .travis.yml: Switch to using run.sh for Travis CI

2016-08-23  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version): Release 0.7.400.1.1 (GH-only)
        * inst/NEWS.Rd: Release 0.7.400.1.1 (GH-only)

        * inst/include/*: Upgraded to release 7.400.2.test of Armadillo

2016-08-15  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version): Release 0.7.400.1.0 (GH-only)
        * inst/NEWS.Rd: Release 0.7.400.1.0 (GH-only)

        * inst/include/*: Upgraded to release 7.400.1 of Armadillo

2016-08-12  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version): Release 0.7.400.0.0 (GH-only)
        * inst/NEWS.Rd: Release 0.7.400.0.0 (GH-only)

        * inst/include/*: Upgraded to release 7.400.0-test of Armadillo

2016-07-30  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version): Release 0.7.300.1.0 (GH-only)
        * inst/NEWS.Rd: Release 0.7.300.1.0 (GH-only)

        * inst/include/*: Upgraded to release 7.300.1 of Armadillo

2016-07-22  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version): Release 0.7.200.2.0 (CRAN)
        * DESCRIPTION (Date): Updated

2016-06-22  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version): Release 0.7.200.2.0 (GH-only)
        * inst/NEWS.Rd: Release 0.7.200.2.0 (GH-only)

        * inst/include/*: Upgraded to release 7.200.2 of Armadillo

2016-06-19  James Joseph Balamuta  <balamut2@illinois.edu>

        * inst/include/RcppArmadilloExtensions/sample.h: Rewrote sampling
        functions to use only armadillo outside of the supplied data vector.
        * inst/include/RcppArmadilloExtensions/fixprob.h: Updated fix
        probability check code to use armadillo object for probability.

2016-06-09  Dirk Eddelbuettel  <edd@debian.org>

        * configure.ac: Correct assignment for fully-featured versus
        incomplete LAPACK set in inst/include/RcppArmadilloLapack.h
        * configure: Ditto

2016-06-06  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION (Version): Release 0.7.200.1.0 (GH-only)
        * inst/NEWS.Rd: Release 0.7.200.1.0 (GH-only)

        * inst/include/*: Upgraded to release 7.200.1 of Armadillo

2016-06-02  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.7.100.3.1
        * configure.ac: Move R-based CXX init before first autoconf commands
        * configure: Ditto

2016-05-30  Dirk Eddelbuettel  <edd@debian.org>

        * configure.ac: Refined test for minimal g++ version to first set CXX
        based on the existing R configuratin
        * configure: Ditto

2016-05-25  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.7.100.3.0
        * inst/NEWS.Rd: Release 0.7.100.3.0

        * debian/*: Changes for Debian release of 0.7.100.3.0

        * inst/include/*: Upgraded to release 7.100.3 of Armadillo

2016-05-16  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.7.100.0.0 [GitHub only]
        * inst/NEWS.Rd: Release 0.7.100.0.0 [GitHub only]

        * inst/include/*: Upgraded to release 7.100.0 of Armadillo

2016-05-12  Dirk Eddelbuettel  <edd@debian.org>

        * configure.ac: Rewriting configure as autoconf script for better
        compiler tests

        * configure (checkoldcompiler): Add test to guard against old g++
        compilers (such as g++-4.4 used on some RHEL and CentOS releases)
        which are no longer sufficient to build RcppArmadillo.

2016-05-05  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.6.700.6.0
        * inst/NEWS.Rd: Release 0.6.700.6.0

        * debian/*: Changes for Debian release of 0.6.700.6.0

2016-05-04  George G. Vega Yon  <g.vegayon@gmail.com>

        * inst/include/RcppArmadilloConfig.h: Added support for int64_t when required
        * inst/include/RcppArmadilloAs.h: Fixing bug in SpMat exporter
        * inst/unitTests/cpp/sparse.cpp: Added two new tests
        * inst/unitTests/runit.sparse.R: Added two new tests

2016-05-03  Dirk Eddelbuettel  <edd@debian.org>

        * inst/include/*: Upgraded to release 6.700.6 of Armadillo

2016-04-05  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.6.700.3.0
        * inst/NEWS.Rd: Release 0.6.700.3.0

        * inst/include/*: Upgraded to release 6.700.3 of Armadillo

        * debian/*: Changes for Debian release of 0.6.600.4.0

2016-03-15  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.6.600.4.0
        * inst/NEWS.Rd: Release 0.6.600.4.0

        * inst/include/*: Upgraded to release 6.600.4 of Armadillo

        * debian/*: Changes for Debian release of 0.6.600.4.0

2016-03-12  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.6.600.3.1 [GitHub only]
        * inst/NEWS.Rd: Release 0.6.600.3.1 [GitHub only]

        * inst/include/*: Upgraded to release 6.600.4-test of Armadillo

        * configure: Take R 3.3.0 with a complete fallback for LAPACK into
        consideration when checking for LAPACK features

2016-03-11  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.6.600.2.1 [GitHub only]
        * inst/NEWS.Rd: Release 0.6.600.2.1 [GitHub only]

        * inst/include/*: Upgraded to release 6.600.3-test of Armadillo

2016-01-26  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.6.500.4.0
        * inst/NEWS.Rd: Release 0.6.500.4.0

        * inst/include/*: Upgraded to release 6.500.4 of Armadillo

        * debian/*: Changes for Debian release of 0.6.500.4.0

        * inst/include/RcppArmadilloConfig.h (ARMA_32BIT_WORD): Define to
          ensure 32-bit words are used even with C++11 or C++14
        * inst/include/RcppArmadillo.h: Added some comments

2016-01-24  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.6.500.2.1 [GitHub only]
        * inst/NEWS.Rd: Release 0.6.500.2.1 [GitHub only]

        * inst/include/*: Upgraded to release 6.500.3-test of Armadillo

2016-01-10  Dirk Eddelbuettel  <edd@debian.org>

        * configure: Use /usr/bin/env bash as shebang

2015-12-15  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.6.400.2.0
        * inst/NEWS.Rd: Release 0.6.400.2.0

        * inst/include/*: Upgraded to release 6.400.2 of Armadillo

        * debian/*: Changes for Debian release of 0.6.400.2.0

2015-12-12  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.6.300.2.2
        * inst/NEWS.Rd: Release 0.6.300.2.2

        * configure (hasRlapack): Reworded test messages

2015-12-09  Dirk Eddelbuettel  <edd@debian.org>

        * configure: Further refinements in test for partial LAPACK

2015-12-08  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.6.300.2.1 [GitHub only]
        * inst/NEWS.Rd: Release 0.6.300.2.1 [GitHub only]

        * inst/include/*: Upgraded to release 6.300.3-test of Armadillo

        * inst/include/RcppArmadilloConfig.h: Updated #define for limited LAPACK
        * inst/include/RcppArmadilloLapack.h.in: Updated conditional #define
        * configure: Updated test for Rlapack and corresponding #define

2015-12-03  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.6.300.2.0
        * inst/NEWS.Rd: Release 0.6.300.2.0

        * inst/include/*: Upgraded to release 6.300.2 of Armadillo

        * debian/*: Changes for Debian release of 0.6.300.2.0

2015-12-01  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.6.299.0.0 [GitHub only]
        * inst/NEWS.Rd: Release 0.6.299.0.0 [GitHub only]

        * inst/include/*: Upgraded to release 6.300.0-test of Armadillo

2015-11-30  Nathan Russell <russell.nr2012@gmail.com>

        * inst/include/RcppArmadilloAs.h: Support as<> converters to the
        Armadillo cube type

        * inst/unitTests/cpp/cube.cpp: Unit tests for Cube converter
        * inst/unitTests/runit.cube.R: Idem

2015-10-30  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.6.199.2.0 [GitHub only]
        * inst/NEWS.Rd: Release 0.6.199.2.0 [GitHub only]

        * inst/include/*: Upgraded to release 6.200.2-test of Armadillo

2015-10-26  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.6.199.0.0 [GitHub only]
        * inst/NEWS.Rd: Release 0.6.199.0.0 [GitHub only]

        * inst/include/*: Upgraded to release 6.200.0-test of Armadillo

2015-10-03  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.6.100.0.0
        * inst/NEWS.Rd: Release 0.6.100.0.0

        * inst/include/*: Upgraded to release 6.100.0 of Armadillo

        * debian/*: Changes for Debian release of 0.6.100.0.0

2015-09-25  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.6.000.1.0 [GitHub only]
        * inst/NEWS.Rd: Release 0.6.000.1.0 [GitHub only]

        * inst/include/*: Upgraded to release 6.000.1-test of Armadillo

2015-09-19  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.5.600.2.0
        * inst/NEWS.Rd: Release 0.5.600.2.0

        * inst/include/*: Upgraded to release 5.600.2 of Armadillo

        * debian/*: Changes for Debian release of 0.5.600.2.0

2015-09-03  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.5.500.2.0
        * inst/NEWS.Rd: Release 0.5.500.2.0

        * inst/include/*: Upgraded to release 5.500.2 of Armadillo

        * debian/*: Changes for Debian release of 0.5.500.2.0

2015-09-02  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: (Test) Release 0.5.499.0

        * inst/include/*: Upgraded to (test) release 5.500.1 of Armadillo

2015-08-17  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.5.400.2.0
        * inst/NEWS.Rd: Release 0.5.400.2.0

        * inst/include/*: Upgraded to release 5.400.2 of Armadillo

        * debian/*: Changes for Debian release of 0.5.400.2.0

        * NAMESPACE: Also import package.skeleton from utils

2015-08-13  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: (Test) Release 0.5.399.0

        * inst/include/*: Upgraded to (test) release 5.400.1 of Armadillo

2015-08-05  Dirk Eddelbuettel  <edd@debian.org>

        * inst/examples/varSimulation.r: Minor touch-up

2015-08-04  Dirk Eddelbuettel  <edd@debian.org>

        * R/RcppArmadillo.package.skeleton.R: Correct kitten() use based on patch
        by Grant Brown for RcppEigen (cf GitHub issue #21 @ RcppEigen)

2015-08-03  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.5.300.4.0
        * inst/NEWS.Rd: Release 0.5.300.4.0

        * inst/include/*: Upgraded to release 5.300.4 of Armadillo

        * debian/*: Changes for Debian release of 0.5.300.4.0

        * NAMESPACE: Additional importFrom() statements for R CMD check
        * DESCRIPTION: Also import utils and stats for R CMD check

2015-07-31  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: (Test) Release 0.5.300.3.0

        * inst/include/*: Upgraded to (test) release 5.300.3 of Armadillo

2015-07-28  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: (Test) Release 0.5.300.1.0

        * inst/include/*: Upgraded to (test) release 5.300.1 of Armadillo

2015-07-11  Dirk Eddelbuettel  <edd@debian.org>

        * vignettes/RcppArmadillo-intro.Rnw: No longer use H as a float
        placement as it upsets Texlive 2015 (per request of Kurt Hornik / CRAN)

2015-06-06  Dirk Eddelbuettel  <edd@debian.org>

        * R/RcppArmadillo.package.skeleton.R: Correct use of requireNamespace()

2015-06-04  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.5.200.1.0
        * inst/NEWS.Rd: Release 0.5.200.1.0

        * inst/include/*: Upgraded to release 5.200.1 of Armadillo

2015-05-19  Dirk Eddelbuettel  <edd@debian.org>

        * inst/examples/fastLm.r: Added another example starting directly
        from a SEXP interface to illustrate potential cost of interfaces

2015-05-12  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.5.100.2.0 [GitHub only]
        * inst/NEWS.Rd: Release 0.5.100.2.0 [GitHub only]

        * inst/include/*: Upgraded to release 5.100.2 of Armadillo

2015-05-09  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.5.100.1.1 [GitHub only]
        * inst/NEWS.Rd: Release 0.5.100.1.1 [GitHub only]

        * inst/include/*: Upgraded to [test] release 5.100.2 of Armadillo

2015-05-01  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.5.100.1.0
        * inst/NEWS.Rd: Release 0.5.100.1.0

        * inst/include/*: Upgraded to release 5.100.1 of Armadillo

2015-04-30  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.5.099.1.0 [GitHub only] with altered release
        number to permit upgrade once 5.100.1 is released
        * inst/NEWS.Rd: Release 0.5.099.1.0 [GitHub only]

        * inst/include/*: Upgraded to release 5.100.1 of Armadillo

2015-04-12  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.5.000.0
        * inst/NEWS.Rd: Release 0.5.000.0

        * inst/include/*: Upgraded to release 5.000 of Armadillo

2015-04-04  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.4.999.1.0 [GitHub only]
        * inst/NEWS.Rd: Release 0.4.999.1.0 [GitHub only]

        * inst/include/*: Upgraded to release 4.999.1 of Armadillo

2015-02-26  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.4.600.2.0 [GitHub only]
        * inst/NEWS.Rd: Release 0.4.600.2.0 [GitHub only]

        * inst/include/*: Upgraded to release 4.650.2 of Armadillo

2015-02-25  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.4.650.1.1
        * inst/NEWS.Rd: Release 0.4.650.1.1

        * inst/include/armadillo: Fix for C++11 RNG include

2015-02-24  Dirk Eddelbuettel  <edd@debian.org>

        * inst/include/*: Upgraded to release 4.650.1 of Armadillo

        * .travis.yml: Switch to ppa:edd/misc for binaries

2015-01-23  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.4.600.4.0
        * inst/NEWS.Rd: Release 0.4.600.4.0

        * inst/include/*: Upgraded to release 4.600.4 of Armadillo

        * inst/examples/fastLm.r: Load Rcpp library

2015-01-21  Dirk Eddelbuettel  <edd@debian.org>

        * R/unit.test.R (unit_test_setup): Use requireNamespace()
        * R/RcppArmadillo.package.skeleton.R: Ditto

2015-01-20  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.4.600.3.0 [GitHub only]
        * inst/NEWS.Rd: Release 0.4.600.3.0 [GitHub only]

        * inst/include/*: Upgraded to release 4.600.3 of Armadillo

2014-12-27  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.4.600.0
        * inst/NEWS.Rd: Release 0.4.600.0

        * inst/include/*: Upgraded to release 4.600 of Armadillo

2014-12-25  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.4.599.2.0 [GitHub only]
        * inst/NEWS.Rd: Release 0.4.599.2.0 [GitHub only]

        * inst/include/*: Upgraded to release 4.599.alpha.2 of Armadillo

2014-12-23  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.4.599.1.0 [GitHub only]
        * inst/NEWS.Rd: Release 0.4.599.1.0 [GitHub only]

        * inst/include/*: Upgraded to release 4.599.alpha.1 of Armadillo

2014-12-02  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.4.550.2.0 [GitHub only]
        * inst/NEWS.Rd: Release 0.4.549.2.0 [GitHub only]

        * inst/include/*: Upgraded to release 4.550.2 of Armadillo

2014-11-26  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.4.550.1.0
        * inst/NEWS: Release 0.4.550.1.0
        * debian/*: Similarly updated for new release to Debian

        * inst/include/*: Upgraded to release 4.550.1 of Armadillo

        * inst/unitTests/runit.rmultinom.R: Run only if 'long double' exists

2014-11-25  Dirk Eddelbuettel  <edd@debian.org>

        * inst/unitTests/runit.rmultinom.R: Run only on i686 or x86_64

2014-11-22  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.4.550.0
        * inst/NEWS: Release 0.4.550.0
        * debian/*: Similarly updated for new release to Debian

        * inst/include/*: Upgraded to release 4.550 of Armadillo

        * .travis.yml: Undo temporary stop-gap measure of setting CRAN

2014-11-19  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.4.549.2.0 [GitHub only]
        * inst/NEWS.Rd: Release 0.4.549.2.0 [GitHub only]

        * inst/include/*: Upgraded to "alpha" version 4.549.2 of Armadillo

        * .travis.yml: Temporary stop-gap measure of setting CRAN to something
        other than the RStudio CDN which currently has DNS issue

2014-11-19  Romain Francois <romain@r-enthusiasts.com>

        * inst/include/RcppArmadilloAs.h: Support Fields type
        * inst/include/RcppArmadilloForward.h: Ditto

2014-10-30  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.4.500.0
        * inst/NEWS: Release 0.4.500.0
        * debian/*: Similarly updated for new release to Debian

        * inst/include/*: Upgraded to release 4.500 of Armadillo

2014-10-26  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.4.449.1.0 [GitHub only]
        * inst/NEWS.Rd: Release 0.4.449.1.0 [GitHub only]

        * inst/include/*: Upgraded to "alpha" version 4.449.1 of Armadillo

2014-09-26  Christian Gunning  <xian@unm.edu>

        * inst/include/RcppArmadilloExtensions/sample.h: Extended with
        Walker's method
        * inst/include/RcppArmadilloExtensions/rmultinom.h: Added
        * inst/include/RcppArmadilloExtensions/fixprob.h: Split off from
        sample.h

        * inst/unitTests/runit.sample.R: Updated for new functionality
        * inst/unitTests/runit.rmultinom.R: New unit test
        * inst/unitTests/cpp/rmultinom.cpp: New unit test file in C++

2014-09-20  Dirk Eddelbuettel  <edd@debian.org>

        * inst/include/RcppArmadilloConfig.h: Add a new #define variable
        which selects the RNG from R as a fallback (unless C++11 is used)
        * inst/include/armadillo: Include new R RNG if #define set
        * inst/include/armadillo_bits/arma_rng_r.hpp: Added new RNG
        implementation based on runif() from R
        * inst/include/armadillo_bits/arma_rng.hpp: Deploy new R RNG

        * inst/unitTests/runit.rng.R: New unit tests for RNG fallback code
        * inst/unitTests/cpp/rng.cpp: C++ side of new unit tests

2014-09-19  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.4.450.0
        * inst/NEWS.Rd: Release 0.4.450.0 [GitHub only]

        * inst/include/*: Upgraded to version 4.450 of Armadillo

2014-09-16  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.4.419.3.0 [GitHub only]
        * inst/NEWS.Rd: Release 0.4.419.3.0 [GitHub only]

        * inst/include/*: Upgraded to version 4.419.3 of Armadillo

2014-09-01  Dirk Eddelbuettel  <edd@debian.org>

        * R/RcppArmadillo.package.skeleton.R: Copy new manual page when
        copying the example code documented in it

        * R/RcppArmadillo.package.skeleton.R: Use pkgKitten::kitten() when
        available

        * .travis.yml: Also install pkgKitten as Suggests: now required

2014-08-30  Dirk Eddelbuettel  <edd@debian.org>

        * inst/skeleton/rcpparma_hello_world.Rd: New manual page for skeleton
        functions

2014-08-28  Dirk Eddelbuettel  <edd@debian.org>

        * R/RcppArmadillo.package.skeleton.R: In DESCRIPTION and NAMESPACE,
        only Imports: Rcpp and not RcppArmadillo (to appease R CMD check)

2014-08-27  Dirk Eddelbuettel  <edd@debian.org>

        * man/RcppArmadillo-package.Rd: Updated manual page

2014-08-19  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.4.400.0
        * inst/NEWS: Release 0.4.400.0
        * debian/*: Similarly updated for new release to Debian

        * inst/include/*: Upgraded to release 4.400 of Armadillo

2014-08-18  Dirk Eddelbuettel  <edd@debian.org>

        * inst/include/*: Upgraded to pre-release 4.399.3 of Armadillo

2014-08-17  Dirk Eddelbuettel  <edd@debian.org>

        * inst/unitTests/runit.sparse.R: New unit tests for sparse matrices
        * inst/unitTests/cpp/sparse.cpp: New unit tests for sparse matrices

2014-08-15  Dirk Eddelbuettel  <edd@debian.org>

        * inst/include/*: Upgraded to pre-release 4.399.2 of Armadillo

        * inst/include/RcppArmadilloAs.h: Further correction to sparse matrix
        converter with special thanks to Ryan Curtin for some excellent help

2014-08-10  Dirk Eddelbuettel  <edd@debian.org>

        * inst/include/RcppArmadilloAs.h: Correct sparse matrix converter

2014-07-04  Dirk Eddelbuettel  <edd@debian.org>

        * vignettes/RcppArmadillo-unitTests.Rnw: Commented-out copy of unit
        test result file to /tmp per request of Kurt

2014-07-03  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.4.320.0
        * inst/NEWS: Release 0.4.320.0
        * debian/*: Similarly updated for new release to Debian

        * inst/include/*: Upgraded to version 4.320 of Armadillo

2014-06-03  Dirk Eddelbuettel  <edd@debian.org>

        * inst/unitTests/cpp/complex.cpp: Rename a variable as the term CS
        clashes with a macro on the Solaris OS

2014-06-02  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.4.300.8.0
        * inst/NEWS: Release 0.4.300.8.0
        * debian/*: Similarly updated for new release to Debian

        * inst/include/*: Upgraded to version 4.300.8 of Armadillo

2014-06-01  Dirk Eddelbuettel  <edd@debian.org>

        * configure: Change back to #!/bin/bash
        * configure: Added tips do in case no suitable shell is available

        * tests/doRUnit.R: Simplified, following use in RProtoBuf
        * inst/unitTests/runTests.R: Refreshed, following use in RProtoBuf

2014-05-31  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.4.300.7.0 [pending/unreleased]
        * inst/NEWS: Release 0.4.300.7.00 [pending/unreleased]
        * debian/*: Similarly updated for new release to Debian

        * inst/include/*: Upgraded to version 4.300.7 of Armadillo

        * src/Makevars.win: Detail possible use of ARMA_DONT_USE_CXX11 define
        * src/Makevars: Edited as well

2014-05-29  Dirk Eddelbuettel  <edd@debian.org>

        * inst/include/RcppArmadilloConfig.h: Robustify behaviour on Windows
        under MinGW when C++11 is used

2014-05-28  Dirk Eddelbuettel  <edd@debian.org>

        * src/Makevars: Updated (commented-out) C++11 settings variable
        * src/Makevars.win: Idem

2014-05-19  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.4.300.5.0 [GitHub only]
        * inst/NEWS: Release 0.4.300.5.0 [GitHub only]

        * inst/include/*: Upgraded to version 4.300.5 of Armadillo

2014-05-13  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.4.300.2.0 [GitHub only]
        * inst/NEWS: Release 0.4.300.2.0 [GitHub only]

        * inst/include/*: Upgraded to version 4.300.2 of Armadillo

2014-05-05  Dirk Eddelbuettel  <edd@debian.org>

        * configure: Rewritten for non-bash versions of /bin/sh

2014-05-04  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.4.300.0
        * inst/NEWS: Release 0.4.300.0
        * debian/*: Similarly updated for new release to Debian

        * configure: If R version 3.0.3 or newer, use comples GESDD

2014-05-02  Dirk Eddelbuettel  <edd@debian.org>

        * inst/include/*: Upgraded to version 4.300 of Armadillo

2014-04-20  Kevin Ushey  <kevinushey@gmail.com>

        * inst/include/RcppArmadilloAs.h: Force vector coercion if the type
        does not fit within an R vector through as

        * inst/unitTests/cpp/armadillo.cpp: Add unit tests
        * inst/unitTests/runit.RcppArmadillo.R: Add unit tests

2014-04-20  Dirk Eddelbuettel  <edd@debian.org>

        * inst/include/RcppArmadilloConfig.h: Comment-out setting of C++11
        define which (Rcpp)Armadillo gets correctly by itself

2014-04-07  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.4.200.0
        * inst/NEWS: Release 0.4.200.0
        * inst/include/*: Upgraded to version 4.200 of Armadillo
        * debian/*: Similarly updated for new release to Debian

2014-03-07  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.4.100.2
        * inst/NEWS: Release 0.4.100.2
        * inst/include/*: Upgraded to version 4.100.2 of Armadillo
        * debian/*: Similarly updated for new release to Debian

2014-03-04  Dirk Eddelbuettel  <edd@debian.org>

        * inst/include/*: Upgraded to (unreleased) version 4.100.1 of Armadillo

2014-03-01  Dirk Eddelbuettel  <edd@debian.org>

        * inst/skeleton/rcpparma_hello_world.cpp: Correct use of depends for
        Attributes (for illustration only as skeleton uses package build)

        * src/Makevars: Simple setup for C++11 use (for R-devel aka R 3.1.0)
        by defining USE_CXX1X (commented out by default)

        * inst/include/RcppArmadilloConfig.h: If USE_CXX1X is defined, also
        define ARMA_USE_CXX11 to permit use C++11 by Armadillo

2014-02-28  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.4.100.0
        * inst/NEWS: Release 0.4.100.0
        * inst/include/*: Upgraded to new release 4.100.0 of Armadillo
        * debian/*: Similarly updated for new release to Debian

2014-02-26  Dirk Eddelbuettel  <edd@debian.org>

        * inst/include/*: Updated current Armadillo 4.100 snapshot

2014-02-25  Dirk Eddelbuettel  <edd@debian.org>

        * inst/include/*: Add current Armadillo 4.100 snapshot

2014-02-20  Dirk Eddelbuettel  <edd@debian.org>

        * debian/control: Remove Depends: on littler

2014-02-19  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.4.000.4
        * inst/NEWS: Release 0.4.000.4
        * inst/include/*: Upgraded to new release 4.000.4 of Armadillo
        * debian/*: Similarly updated for new release to Debian

2014-02-08  Dirk Eddelbuettel  <edd@debian.org>

        * src/RcppArmadillo.cpp: Clarify in help page that Armadillo seed
        setter will not work under RStudio

2014-02-04  Dirk Eddelbuettel  <edd@debian.org>

        * man/*: Add help pages for \code{armadillo_version},
        \code{armadillo_set_seed} and \code{armadillo_set_seed_random}

        * NAMESPACE: Export three helper functions

2014-02-02  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Versioned Imports: on Rcpp (>= 0.11.0)

        * src/Makevars (PKG_LIBS): Simplified with Rcpp (>= 0.11.0)
        * src/Makevars.win (PKG_LIBS): Ditto
        * inst/skeleton/Makevars (PKG_LIBS): Ditto

        * R/RcppArmadillo.package.skeleton.R: Updated:
          - no longer set namespace argument (as NAMESPACEs req'ed)
          - corresponding code updates
          - reflect Rcpp 0.11.0

        * inst/skeleton/rcpparma_hello_world.cpp: Rewritten to use Rcpp
        Attributes and expanded to included more examples

        * src/RcppArmadillo.cpp: Add accessor functions to set Armadillo's
        RNG from a given and a random value as suggested by Gábor Csárdi

2014-01-21  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.4.000.2
        * inst/NEWS: Release 0.4.000.2
        * inst/include/*: Upgraded to new release 4.000.2 of Armadillo
        * debian/*: Similarly updated for new release to Debian

2014-01-07  Dirk Eddelbuettel  <edd@debian.org>

        * inst/include/armadillo_bits/compiler_setup.hpp: Applied one-line
        patch by Jan Marvin Garbuszu to permit build under recent icc;
        patch also passed on upstream to Conrad

2014-01-05  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.4.000
        * inst/NEWS: Release 0.4.000
        * inst/include/*: Upgraded to new release 4.000 of Armadillo
        * debian/*: Similarly updated for new release to Debian

2013-12-09  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.3.930.1
        * inst/NEWS: Release 0.3.930.1
        * inst/include/*: Upgraded to new release 3.930.1 of Armadillo
        which falls back to standard complex SVD if no zgesdd
        * debian/*: Similarly updated for new release to Debian

        * configure: Test value of LAPACK_LIBS and if the Lapack version
        supplied by R used then define ARMA_DONT_USE_CX_GESDD

        * inst/include/RcppArmadilloLapack.h.in: Added header file to be
        processed by configure

2013-12-06  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.3.930.0
        * inst/NEWS: Release 0.3.930.0
        * inst/include/*: Upgraded to new release 3.930 of Armadillo
        * debian/*: Similarly updated for new release to Debian

        * inst/include/*: Upgraded to Armadillo 3.930 ("Dragon's Back")

        * inst/include/armadillo_bits/compiler_setup.hpp: Exclude POSIX
        memalign also if on Sun OS as per Brian Ripley's suggestion

2013-12-05  Dirk Eddelbuettel  <edd@debian.org>

        * inst/unitTests/runit.complex.R: Added unit tests for complex
        matrices and vector contributed by Baptiste Auguie
        * inst/unitTests/cpp/complex.cpp: C++ side of new tests

2013-12-04  Dirk Eddelbuettel  <edd@debian.org>

        * inst/include/*: Upgraded to 2nd beta release of Armadillo 3.930

2013-12-02  Dirk Eddelbuettel  <edd@debian.org>

        * inst/include/*: Upgraded to 1st beta release of Armadillo 3.930

2013-11-19  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.3.920.3
        * inst/NEWS: Release 0.3.920.3
        * inst/include/*: Upgraded to new release 3.920.3 of Armadillo
        * debian/*: Similarly updated for new release to Debian

2013-09-29  Dirk Eddelbuettel  <edd@debian.org>

        * inst/examples/fastLm.r: Added a 'const ref' example
        * inst/examples/varSimulation.r: Use 'const ref', skip one
        superfluous transpose

2013-09-28  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.3.920.1
        * inst/NEWS: Release 0.3.920.1
        * inst/include/*: Upgraded to new release 3.920.1 of Armadillo
        * debian/*: Similarly updated for new release to Debian

        * DESCRIPTION: Depends on Rcpp (>= 0.10.5) which shipped to CRAN

2013-09-27  Romain Francois <romain@r-enthusiasts.com>

        * include/RcppArmadilloAs.h : handle cx_mat, using that Rcomplex is
        layout compatible with std::complex<double>
        * unitTests/cpp/armadillo.cpp : more testing
        * unitTests/runit.RcppArmadillo.R : more testing

2013-09-23  Dirk Eddelbuettel  <edd@debian.org>

        * inst/include/*: Upgraded to Armadillo pre-release of 3.920.0
        * DESCRIPTION: Mark as test release version 0.3.910.0.2

2013-09-15  Dirk Eddelbuettel  <edd@debian.org>

        * inst/include/RcppArmadilloAs.h: Also define ConstInputParameter
        * inst/include/RcppArmadilloForward.h: Ditto for declaration
        * inst/unitTests/runit.RcppArmadillo.R: New unit tests for these
        * inst/unitTests/cpp/armadillo.cpp: C++ code for new unit tests

2013-09-15  Romain Francois <romain@r-enthusiasts.com>

        * include/RcppArmadilloForward.h : declaration of specializations of
        ConstReferenceInputParameter and ReferenceInputParameter
        * include/RcppArmadilloAs.h : definitions of the above

2013-09-13  Romain Francois <romain@r-enthusiasts.com>

        * DESCRIPTION : require Rcpp 0.10.4.4
        * include/RcppArmadilloForward.h : declaration of specializations of
        InputParameter for references and const reference to arma::Mat
        * include/RcppArmadilloAs.h : definitions of the above

2013-08-24  Romain Francois <romain@r-enthusiasts.com>

        * include/RcppArmadilloExtensions/sample.h: added include guard, made
        functions SampleReplace, etc ... templates to avoid the multiple
        definitions problem

2013-08-21  Romain Francois <romain@r-enthusiasts.com>

        * include/RcppArmadilloWrap.h: Less data copies for wrap< SpMat<T> >
        * include/RcppArmadilloAs.h:   Less data copies for as< SpMat<T> >

2013-08-20  Romain Francois <romain@r-enthusiasts.com>

        * include/RcppArmadilloWrap.h: Handle wrap<subview>
        * include/RcppArmadilloWrap.h: cleaner implementation for wrap< SpMat<T> >
        * include/RcppArmadilloAs.h: cleaner implementation for as< SpMat<T> >

2013-08-17  Dirk Eddelbuettel  <edd@debian.org>

        * vignettes/RcppArmadillo-intro.Rnw: Converted from LaTeX minted
        (which farms out to Python's pygmentize) to LaTeX listings (which is
        plainer, but works on CRAN)
        * DESCRIPTION: Remove 'BuildVignettes: FALSE'

2013-08-12  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.3.910.0
        * inst/NEWS: Release 0.3.910.0
        * inst/include/*: Upgraded to new release 3.910.0 of Armadillo
        * debian/*: Similarly updated for new release to Debian

        * vignettes/*: Moved files from inst/doc per new CRAN standards
        * DESCRIPTION: Set 'BuildVignettes: FALSE' as LaTeX minted mode
        creates issues for the CRAN builders
        * inst/doc/*: Include pre-built vignettes

2013-08-03  Dirk Eddelbuettel  <edd@debian.org>

        * inst/include/RcppArmadilloExtensions/spmat.h: Added basic as<> and
        wrap support for sparse matrices (of class dgCMatrix from the Matrix
        package); currently only type double is supported

        * inst/unitTests/runit.RcppArmadillo.R: Improved test setup a little
        * inst/unitTests/runit.sample.R: Ditto

2013-08-02  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.3.900.7
        * inst/NEWS: Release 0.3.900.7
        * inst/include/*: Upgraded to new release 3.900.7 of Armadillo
        * debian/*: Similarly updated for new release to Debian

2013-08-02 Romain Francois <romain@r-enthusiasts.com>

        * include/RcppArmadillo/Row_meat.h: set vec_state correctly
        * include/RcppArmadillo/Col_meat.h: set vec_state correctly
        * include/RcppArmadillo/Mat_meat.h: set vec_state correctly

2013-07-12  Dirk Eddelbuettel  <edd@debian.org>

        * inst/unitTests/runTests.R: No longer need to test minimal versions
        of package 'inline' as unit tests now use Rcpp attributes
        * inst/unitTests/runit.RcppArmadillo.R: Don't load package 'library'

        * inst/examples/fastLm.r: Also rewritten to use Rcpp attributes
        * inst/examples/varSimulation.r: Idem

        * DESCRIPTION: Removed Suggests: on inline

2013-06-04  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.3.900.0
        * inst/NEWS: Release 0.3.900.0
        * inst/include/*: Upgraded to new release 3.900.0 of Armadillo
        * debian/*: Similarly updated for new release to Debian

2013-05-16  Dirk Eddelbuettel  <edd@debian.org>

        * inst/examples/kalman/benchmark.R: Switch from inline to sourceCpp
        * inst/examples/kalman/Kalman.cpp: Added Rcpp attributes function
        * inst/examples/kalman/KalmanCpp.R: Retired, no longer used

2013-05-13  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.3.820
        * inst/NEWS: Release 0.3.820
        * inst/include/*: Upgraded to new release 3.820 of Armadillo
        * debian/*: Similarly updated for new release to Debian

2013-04-30  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.3.810.2
        * inst/NEWS: Release 0.3.810.2
        * inst/include/*: Upgraded to new release 3.810.2 of Armadillo
        * debian/*: Similarly updated for new release to Debian

2013-04-19  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.3.810.0
        * inst/NEWS: Release 0.3.810.0
        * inst/include/*: Upgraded to new release 3.810.0 of Armadillo
        * debian/*: Similarly updated for new release to Debian

2013-04-05  Dirk Eddelbuettel  <edd@debian.org>

        * debian/: Package will be added to Debian as well

2013-03-29  Dirk Eddelbuettel  <edd@debian.org>

        * inst/include/RcppArmadilloExtensions/sample.h: Applied another
        patch by Christian Gunning
        * inst/unitTests/runit.sample.R (test.sample): Idem

2013-03-12  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.3.800.1

        * inst/include/*: Upgraded to new release 3.800.1 of Armadillo

        * inst/unitTests/cpp/armadillo.cpp: Factored out of
        runit.RcppArmadillo.R to accelerate unit test run
        * inst/unitTests/runit.RcppArmadillo.R: Deploy refactored cpp code

2013-03-11  Dirk Eddelbuettel  <edd@debian.org>

        * inst/unitTests/cpp/sample.cpp: Regrouping C++ tests for sample()
        * inst/unitTests/runit.sample.R: Rewritten for sole external cpp file

2013-03-10  Dirk Eddelbuettel  <edd@debian.org>

        * inst/include/add-ons/sample.h: Added sample() function contributed
        by Christian Gunning
        * inst/unitTests/runit.sample.R: Added unit test for sample()
        contributed by Christian Gunning

2013-03-01  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.3.800.0
        * DESCRIPTION: Updated Description to reflect change of Armadillo
        license to MPL 2.0 (which is fully compatible with GPL so no change
        or net effect to RcppArmadillo)

        * inst/include/*: Upgraded to new release 3.800.0 of Armadillo

        * inst/doc/RcppArmadillo-intro.Rnw: Updated vignette to preprint of
        the Computational Statistics & Data Analysis paper in press
        * inst/doc/*: Added or updated relevant support files

        * inst/CITATION: Added with reference to CSDA paper

2013-02-20  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.3.6.3

        * inst/include/*: Upgraded to new release 3.6.3 of Armadillo

2013-01-29  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.3.6.2

        * inst/include/*: Upgraded to new release 3.6.2 of Armadillo

2013-01-19  Dirk Eddelbuettel  <edd@debian.org>

        * inst/examples/kalman/: New example used in the vignette

2012-12-17  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.3.6.1

        * inst/include/*: Upgraded to new release 3.6.1 of Armadillo

2012-12-10  Romain Francois <romain@r-enthusiasts.com>

        * include/RcppArmadillo.h: compiler error if Rcpp.h is included
        before RcppArmadillo.h

2012-12-07  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.3.6.0

        * inst/include/*: Upgraded to new release 3.6.0 of Armadillo

2012-11-15  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.3.4.4

        * inst/include/*: Upgraded to new release 3.4.4 of Armadillo

2012-10-04  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.3.4.3

        * inst/include/*: Upgraded to new release 3.4.3 of Armadillo

2012-09-25  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.3.4.2

        * inst/include/*: Upgraded to new release 3.4.2 of Armadillo

2012-09-18  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.3.4.1

        * inst/include/*: Upgraded to new release 3.4.1 of Armadillo

2012-09-06  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.3.4.0

        * inst/include/*: Upgraded to new release 3.4.0 of Armadillo

2012-08-31  Dirk Eddelbuettel  <edd@debian.org>

        * inst/NEWS.Rd: Converted to Rd format

2012-08-30  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.3.3.91

        * inst/include/*: Upgraded to release 3.3.91 (v3.4 beta 1) of Armadillo

2012-07-21  Dirk Eddelbuettel  <edd@debian.org>

        * inst/unitTests/runit.fastLm.R: expanded unit tests for fastLm

2012-07-18  Dirk Eddelbuettel  <edd@debian.org>

        * R/fastLm.R (summary.fastLm): Also display residual standard error

2012-07-14  Dirk Eddelbuettel  <edd@debian.org>

        * R/fastLm.R (fastLm.formula): Note whether intercept in formula or
        not; also store the result of summary() on residuals
        * R/fastLm.R (fastLm.default): Autmagically detect intercept use
        * R/fastLm.R (print.summary.fastLm): Display summary of residuals
        * R/fastLm.R (summary.fastLm): Distinguish between the intercept and
        no-intercept cases when computing R^2

2012-07-11  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.3.2.4

        * inst/include/*: Upgraded to new release 3.2.4 of Armadillo

2012-07-01  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.3.2.3

        * inst/include/*: Upgraded to new release 3.2.3 of Armadillo

        * inst/include/armadillo_bits/: Reverted files {Mat,Col,Row}_bones.hpp
        to the previous versions due to compilation issues under g++ 4.7

        * inst/doc/RcppArmadillo-intro.Rnw: New introductory vignette based
        on just-submitted paper by Eddelbuettel and Sanderson

        * DESCRIPTION: Set Maintainer: to edd@debian.org as CRAN prefers to
        provide upload email from the same address the Maintainer field

2012-05-26  Dirk Eddelbuettel  <edd@debian.org>

        * inst/examples/fastLm.r: Also examine the 'two versus one' casts
        impact when converting SEXP to Armadillo types

2012-05-21  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.3.2.0

        * inst/include/*: Upgraded to new release 3.2.0 of Armadillo

2012-05-15  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.3.1.94

        * inst/include/*: Upgraded to new (beta) release 3.1.94 of Armadillo

2012-05-10  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.3.1.92

        * inst/include/*: Upgraded to new (beta) release 3.1.92 of Armadillo

2012-05-03  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.3.0.3

        * inst/include/*: Upgraded to new release 3.0.3 of Armadillo

2012-04-29  Dirk Eddelbuettel  <edd@debian.org>

        * inst/examples/fastLm.r: New example fastLm

2012-04-19  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.3.0.2

        * inst/include/*: Upgraded to new release 3.0.2 of Armadillo

2012-04-17  Dirk Eddelbuettel  <edd@debian.org>

        * inst/include/RcppArmadilloConfig.h: Undefine NDEBUG to not suppress
        Armadillo debug messages

2012-04-12  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.3.0.1

        * inst/include/*: Upgraded to new release 3.0.1 of Armadillo

2012-04-11  Dirk Eddelbuettel  <edd@debian.org>

        * inst/include/RcppArmadilloConfig.h: Protect define of
        ARMA_DEFAULT_OSTREAM by a #ifndef test

2012-04-10  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.3.0

        * inst/include/*: Upgraded to new release 3.0.0 of Armadillo

2012-04-04  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.2.40

        * inst/include/*: Upgraded to new test release 2.99.4 of Armadillo

2012-04-02  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.2.39

        * inst/include/*: Upgraded to new test release 2.99.3 of Armadillo

2012-03-28  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.2.38

        * inst/include/*: Upgraded to new test release 2.99.2 of Armadillo

2012-03-24  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.2.37

2012-03-24  Romain Francois <romain@r-enthusiasts.com>

        * inst/include/RcppArmadilloWrap.h: adapt to Armadillo 2.99.1

2012-03-19  Dirk Eddelbuettel  <edd@debian.org>

        * inst/include/*: Upgraded to new test release 2.99.1 of Armadillo

2012-03-05  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.2.36

        * inst/include/*: Upgraded to new release 2.4.4 of Armadillo

2012-02-17  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.2.35 (depending on Rcpp 0.9.10)

        * inst/include/*: Upgraded to new release 2.4.3 of Armadillo

2012-02-01  Romain Francois <romain@r-enthusiasts.com>

        * inst/include/armadillo_bits/Cube_meat.hpp : changes related to
        std::cout -> Rcpp::Rcout

        * inst/include/armadillo_bits/Mat_meat.hpp : idem

        * inst/include/armadillo_bits/config.hpp : idem

        * inst/include/armadillo_bits/debug.hpp : idem

        * inst/include/armadillo_bits/field_meat.hpp : idem

        * inst/include/armadillo_bits/forward_bones.hpp : idem

        * DESCRIPTION: depends on Rcpp 0.9.10

2011-12-31  Dirk Eddelbuettel  <edd@debian.org>

        * inst/include/RcppArmadillo/Mat_meat.h: Add missing semicolon in
        code ifdef'ed for C++0x mode, with thanks to Teo Guo Ci

2011-12-29  Dirk Eddelbuettel  <edd@debian.org>

        * src/RcppArmadillo.cpp: Force instantiation of arma version vars
        which helps with older OS X compiler, as suggested by Gershon Bialer

2011-12-23  Dirk Eddelbuettel  <edd@debian.org>

        * inst/unitTests/runTests.R: unit tests output 'fallback' directory
        changed to '..' and files are now in top-level of $pkg.Rcheck/

2011-12-13  Dirk Eddelbuettel  <edd@debian.org>

        * man/RcppArmadillo-package.Rd: Updated to current version number,
        added Conrad's Technical Report as a reference

2011-12-12  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.2.34

        * inst/include/*: Upgraded to new release 2.4.2 of Armadillo

2011-12-07  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.2.33

        * inst/include/*: Upgraded to new release 2.4.1 of Armadillo

2011-12-04  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.2.32

        * inst/include/*: Upgraded to new release 2.4.0 of Armadillo

2011-11-28  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.2.31

        * inst/include/*: Upgraded to new test release 2.3.92 of Armadillo

2011-11-19  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.2.30

2011-11-17  Romain Francois <romain@r-enthusiasts.com>

        * inst/include/RcppArmadilloSugar.h: reworked forwarding sugar
        expressions to arma expressions. No need for the "forward" function
        anymore. For now, we kept forward as a templated identity function
        for backwards compatibility but it is not needed anymore

        * inst/include/RcppArmadillo/Mat_meat.h: reworked handling of complex
        values

        * inst/unitTests/runit.RcppArmadillo.R: removed uses of forward as we
        don't need it anymore.

2011-11-16  Romain Francois <romain@r-enthusiasts.com>

        * inst/include/RcppArmadilloForward.h: support for the new arma
        classes Gen and GenCube that arma uses internally

        * inst/include/RcppArmadilloWrap.h: idem

        * inst/include/RcppArmadillo/Mat_meat.h: adapted to the changed
        arma_type_check

2011-11-14  Dirk Eddelbuettel  <edd@debian.org>

        * inst/include/*: Upgraded to new test release 2.3.91 of Armadillo

2011-09-01  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.2.29

        * inst/include/*: Updated to bug-fix release 2.2.3 of Armadillo

2011-08-02  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.2.28

        * inst/include/*: Updated to release 2.2.1 of Armadillo

2011-07-22  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.2.27

        * inst/include/*: Updated to release 2.1.91 of Armadillo

2011-07-17  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.2.26

        * inst/include/*: Updated to release 2.0.2 of Armadillo

2011-06-30  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.2.25

        * inst/include/*: Updated to release 2.0.1 of Armadillo

2011-06-29  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.2.24

        * inst/include/*: Updated to release 2.0.0 of Armadillo

2011-06-23  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.2.23

        * inst/include/*: Updated to release 1.99.5 of Armadillo

2011-06-14  Douglas Bates <bates@stat.wisc.edu>

        * R/fastLm.R, inst/unitTests/runit.fastLm.R, man/fastLm.Rd,
          src/fastLm.cpp: Change order of arguments in fastLm.cpp and fastLm.R
          and documentation.

2011-06-14  Dirk Eddelbuettel  <edd@debian.org>

        * ChangeLog, inst/NEWS: ChangeLog and NEWS entry for Doug's S3 fixes

2011-06-13  Douglas Bates <bates@stat.wisc.edu>

        * NAMESPACE: Properly export S3methods as such
        * man/fastLm.Rd: Similar updates to help page

2011-06-06  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.2.22

        * inst/include/*: Updated to release 1.99.4 of Armadillo

2011-05-30  Dirk Eddelbuettel  <edd@debian.org>

        * inst/include/RcppArmadilloConfig.h: Enable sprintf on FreeBSD by
        undefining ARMA_HAVE_STD_SNPRINTF thanks to patch by Rainer Hurling

2011-05-27  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.2.21

        * inst/include/*: Updated to release 1.99.3 of Armadillo

2011-05-25  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.2.20

        * inst/include/*: Updated to release 1.99.2 of Armadillo

2011-05-16  Dirk Eddelbuettel  <edd@debian.org>

        * inst/include/*: Updated to test release 1.99.1 of Armadillo

2011-04-25  Dirk Eddelbuettel  <edd@debian.org>

        * src/RcppArmadillo.cpp: Rewritten armadillo_version as to no longer
        require an instance of arma::arma_version, with Thanks! to Conrad

2011-04-22  Dirk Eddelbuettel  <edd@debian.org>

        * inst/examples/varSimulation.r: New example simulating of first-order
        vector autoregression data set via R, compiled R and RcppArmadillo

2011-04-18  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.2.19

        * inst/include/*: Updated to Armadillo 1.2.0 "Unscrupulous Carbon Emitter"

2011-04-08  Dirk Eddelbuettel  <edd@debian.org>

        * R/fastLm.R: In print.summary.fastLm(), use 'P.values' not 'P.value'

2011-04-03  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.2.18

        * inst/include/*: Updated to Armadillo 1.1.92 "Jurassic Barbecue"

        * inst/doc/Makefile: Do not 'clean' in 'all' target

2011-03-22  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.2.17

        * inst/include/*: Updated to Armadillo 1.1.90 "Inside Job"

2011-03-10  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.2.16

        * inst/include/*: Updated to Armadillo 1.1.8 "Kangaroo Steak"

2011-03-04  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.2.15

        * inst/include/*: Updated to Armadillo 1.1.6 “Baby Carpet Shark”

2011-03-02  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.2.14

        * inst/include/RcppArmadillo/Row_meat.h: Support RTTI via vec_state
        * inst/include/RcppArmadillo/Col_meat.h: Support RTTI via vec_state

        * inst/unitTests/runit.RcppArmadillo.R: Added unit test for above

2011-02-28  Dirk Eddelbuettel  <edd@debian.org>

        * inst/doc/Makefile: Call R and Rscript relative to R_HOME/bin

2011-02-20  Dirk Eddelbuettel  <edd@debian.org>

        * src/fastLm.cpp (fastLm): Further simplified and shortened by using
        Rcpp::as<arma::mat>() on the input data

2011-02-18  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.2.13

        * inst/include/*: Updated to Armadillo 1.1.4 "Manta Lodge"

2011-02-15  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.2.12

        * inst/include/*: Updated to Armadillo 1.1.2 "Flood Kayak"

2011-01-06  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.2.11

        * inst/include/*: Updated to Armadillo 1.1.0 "Climate Vandal"

2010-12-12  Romain Francois <romain@r-enthusiasts.com>

        * R/SHLIB.R: new unexported R function SHLIB, small wrapper around R
        CMD SHLIB

2010-11-25  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.2.10

        * inst/include/*: Updated to Armadillo 1.0.0 "Antipodean Antileech”

2010-11-19  Dirk Eddelbuettel  <edd@debian.org>

        * R/fastLm.R: Also provide two R-squared measures in summary method

2010-11-19  Romain Francois <romain@r-enthusiasts.com>

        * DESCRIPTION: remove dependency on GNU make

        * R/RcppArmadillo.package.skeleton.R: updated skeleton generator so
        that the dependency on GNU make is removed

2010-11-11  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.2.9

        * inst/include/*: Updated to Armadillo 0.9.92 "Wall Street Gangster"

2010-10-16  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.2.8

        * inst/include/*: Updated to Armadillo 0.9.90 "Water Dragon"

        * NEWS: moved to inst/NEWS so that it gets installed with the package
        * inst/ChangeLog: moved to top-level enabling 'C-x 4 a' lookups

2010-09-25  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.2.7

2010-09-25  Romain Francois <romain@r-enthusiasts.com>

        * inst/include/RcppArmadilloWrap.h: Updated for Armadillo 0.9.80

2010-09-21  Dirk Eddelbuettel  <edd@debian.org>

        * inst/include/*: Update to Armadillo 0.9.80 "Chihuahua Muncher"

2010-09-12  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.2.6

2010-09-10  Romain Francois <romain@r-enthusiasts.com>

        * inst/include/* : Update to Armadillo 0.9.70 "Subtropical Winter Safari"

2010-08-18  Romain Francois <romain@r-enthusiasts.com>

        * inst/include/armadillo_bits/Mat_meat.hpp : not so intrusive patch that allows
        RcppArmadillo to add its own Mat constructors
        * inst/include/armadillo_bits/Mat_proto.hpp : same

        * inst/include/RcppArmadillo/Mat_proto.h : Mat constructor that takes a sugar
        expression
        * inst/include/RcppArmadillo/Mat_meat.h : implementation

2010-08-17  Romain Francois <romain@r-enthusiasts.com>

        * inst/include/RcppArmadilloWrap.h : extracted from RcppArmadillo.h

        * inst/include/RcppArmadilloSugar.h : preliminary code to more interoperability
        between Rcpp sugar and armadillo. Defines the Rcpp::forward that allows
        forwarding the result of a sugar expression so that it is used in a Mat
        constructor. (needs more testing)

        * inst/unitTests/runit.RcppArmadillo.R : initial test for sugar/armadillo

2010-08-04  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.2.5

        * Upgraded to Armadillo 0.9.60 "Killer Bush Turkey" with changes:
          - More flexible reshape(), allowing significantly different
            matrix sizes
          - Added matrix initialisation via the << operator
          - Fixes for compilation issues under Mac OS X with GCC 4.2/4.0
            hybrid

2010-08-03  Romain Francois <romain@r-enthusiasts.com>

        * Upgraded to Armadillo 0.9.58 beta for testing purposes

        * inst/include/armadillo: Reworked so that armadillo_bits/
          directory can be included as is without minor tweaks to
          armadillo_bits/config.hpp

2010-07-28  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.2.4

        * inst/include/armadillo_bits: Added small patch to not use asinh,
        acosh and atanh on win32 as the (older) MinGW compiler cannot cope.
        This problem will go away once R 2.12 is released as it requires
        gcc / g++ 4.5.

2010-07-25  Dirk Eddelbuettel  <edd@debian.org>

        * inst/include/* : upgrade to armadillo 0.9.52 "Monkey Wrench"

        * src/fastLm.cpp: Switch from inv() (which now throws a warning on
        (near) singular matrices and returns an empty matrix) to the
        Moore-Penrose pseudo-inverse pinv() which allows us to continue
        the example from the manual page. Of course, for standard use inv() is
        doing the right thing by issueing the warning.

2010-06-14  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.2.3

2010-06-14  Romain Francois <romain@r-enthusiasts.com>

        * inst/include/RcppArmadilloConfig.h: Addition cconfig helping suncc

2010-06-09  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.2.2

2010-06-02  Romain Francois <romain@r-enthusiasts.com>

        * inst/include/* : upgrade to armadillo 0.9.10

        * inst/include/* : support for new mtOp and mtGlue, introduced in
        armadillo 0.9.10

2010-05-27  Romain Francois <romain@r-enthusiasts.com>

        * R/flags.R: added RcppArmadillo:::CxxFlags()

2010-05-19  Romain Francois <romain@r-enthusiasts.com>

        * DESCRIPTION: Release 0.2.1

        * src/fastLm.cpp: Rename stderr to std_err

2010-05-18  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.2.0

2010-05-18  Douglas Bates  <bates@stat.wisc.edu>

        * man/fastLm/Rd: Added rank-deficient example to illustrate possible
        problems with fastLmPure() and fastLm()

        * src/fastLm/cpp: Compute sig2 via std::inner_product

2010-05-17  Dirk Eddelbuettel  <edd@debian.org>

        * inst/include/*: updated to Armadillo 0.9.8

2010-05-17  Romain Francois <romain@r-enthusiasts.com>

        * inst/include/RcppArmadillo.h: workaround for win64

2010-05-13  Dirk Eddelbuettel  <edd@debian.org>

        * R/fastLm.R: fastLm() is now generic and has a formula interface as
        well as methods for print, summary, predict to behave like a standard
        model fitting function

        * R/fastLm.Rd: Added documentation for new methods

        * src/fastLm.cpp: Small additions to returned parameters to support
        new functionality

2010-05-04  Romain Francois <romain@r-enthusiasts.com>

        * R/RcppArmadillo.package.skeleton.R: new package skeleton function
        similar to Rcpp::Rcpp.package.skeleton but targetting use of
        RcppArmadillo

        * README: removed and promoted to additional documentation in
        ?RcppArmadillo

2010-05-03  Dirk Eddelbuettel  <edd@debian.org>

        * inst/include/* : updated to armadillo 0.9.6

2010-04-03  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Remove OS_type restriction now that RcppArmadillo
          includes Armadillo headers, add Doug to Authors and Maintainers

2010-04-03  Douglas Bates  <bates@stat.wisc.edu>

        * inst/include/armadillo: Added the armadillo headers and the
        armadillo_bits directory.  This is from the armadillo sources with
        only the armadillo_bits/config.hpp file modified.

        * configure: and many other configuration files.  Removed the
        foo.in files, modified cleanup not to remove the target files.

2010-03-20  Dirk Eddelbuettel  <edd@debian.org>

        * src/fastLm.cpp: Small fix for Armadillo 0.8.2

2010-03-17  Romain Francois <romain@r-enthusiasts.com>

        * src/fastLm.cpp: added some arma:: prefix

        * src/RcppArmadillo.cpp: update examples to use make_list and showcase
        various ways to use them : Named(.)=., _[.] = , Named( ., . )

2010-03-11  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Release 0.1.0 and initial CRAN upload

2010-03-03  Dirk Eddelbuettel  <edd@debian.org>

        * src/fastLm.cpp: Moved into its own file, some more polish

2010-03-03  Romain Francois <romain@r-enthusiasts.com>

        * inst/include/RcppArmadillo.h: avoid an extra memory copy when
        possible (i.e. in wrap( eGlue) and wrap( eOp ) when the elem_type
        is int or double).

        * inst/include/RcppArmadilloDefines.in.h added the SCALAR macro
        to take care of the 0.9.0 api change

        * src/RcppArmadillo.cpp : fix a runtime error uisng the SCALAR macro

2010-03-02  Dirk Eddelbuettel  <edd@debian.org>

        * src/RcppArmadillo.cpp: Added bare-bones 'fastLm' function
        * R/fastLm.R: Added fastLm R wrapper for C++ fastLm
        * man/fastLm.Rd: Added manual page
        * inst/unitTests/runit.RcppArmadillo.R: Added unit test
        * NAMESPACE: Made fastLm visible

2010-03-02  Romain Francois <romain@r-enthusiasts.com>

        * inst/include/RcppArmadillo.h: support for Armadillo 0.9.*

2010-03-01  Dirk Eddelbuettel  <edd@debian.org>

        * configure.in: Add configure support to test for version 0.9.0

2010-02-23  Romain Francois <romain@r-enthusiasts.com>

        * inst/include/RcppArmadillo.h: support for wrap( arma::Glue )
        and wrap( arma::Op ) enabling wrap()'ing arbitrary expressions
        involving arma::Mat objects, for example wrap( m1 + m2 ), or
        wrap( -m1 )

        * inst/unitTests/runit.RcppArmadillo.R: new unit test for
        wrap( Glue ) and wrap( Op )

2010-02-20  Dirk Eddelbuettel  <edd@debian.org>

        * configure.in: Add configure support to test for presence of
          'armadillo' header and working 'libarmadillo' library; and
          a test for version 0.7.0 or higher (for Cube() type)
        * src/Makevars.in: Setup to be filled-in from configure
        * src/RcppArmadilloDefines.h.in: Idem
        * cleanup: Added to remove configure-generated files

        * R/flags.R: Small cleanups

        * src/RcppArmadillo.h: Use the #define ARMA_HAS_CUBE from the
          autogenerated header, reindent using Emacs' defaults

2010-02-19  Dirk Eddelbuettel  <edd@debian.org>

        * DESCRIPTION: Restrict to 'OS_type: unix' for now,
          set Date: as an SVN property

2010-02-19  Romain Francois <romain@r-enthusiasts.com>

        * added support for field<T> where T is wrappable

2010-02-17  Romain Francois <romain@r-enthusiasts.com>

        * added support for as<Mat<T>> as<Row<T>> and as<Col<T>>
        with T in : int, double, float, unsigned int

        * added untested support for wrap( Cube<T> )

2010-02-16  Dirk Eddelbuettel  <edd@debian.org>

        * Initial package structure based on first proof-of-concept

2010-02-16  Romain Francois <romain@r-enthusiasts.com>

        * initial version, covering wrap(Mat), wrap(Col), wrap(Row)
